[TOC]

## 说明
1. 本文档主要为第三方系统**通过API接入**的方式集成稳赢人事系统
1. 本文档即适用于与稳赢人事系统公有云服务的系统接入，也适用于与稳赢人事系统私有部署系统的接入，不同部署模式下，接口都是一致的。

## 接入准备

1. 请确定您要对接的稳赢人事系统接入地址，公有云环境下接入的地址为https://open.hrsaas.com， 如果是私有部署环境,请咨询与您对接的实施人员。
1. 联系与您对接的实施人员为您的企业开启“开放平台”功能，只有开启了该功能，您才能进行第下面的操作。
1. 登录稳赢人事系统，通过 “系统集成->应用管理”创建一个新的应用，并为您的应用设定安全组用来限制通过该应用访问数据的权限。
1. 获取刚刚创建的应用clientId和client Secret并进行妥善保管，clientId和client Secret为通过API访问系统的认证凭据。
1. 集成方通过下面获取AccessToken的接口获取access token
1. 使用获取到的access token用来调用平台的API.

## **获取AccessToken的接口说明**

| **请求地址**     | **/api/auth/get_access_token**                                                            |
| ------------ | ----------------------------------------------------------------------------------------- |
| 请求方法         | GET                                                                                       |
| 参数类型         | QUERY 参数                                                                                  |
| 请求参数         | clientId 和 clientSecret                                                                   |
| content-type | application/json                                                                          |
| 返回格式         | JSON                                                                                      |
| 备注           | access token 的有效期为2个小时，对于同一个clientId多次<br/>调用会返回同样的access token, 每次调用都会对该access token进行续期 |

返回值举例

```json
{
    "errorCode": null,
    "errorMessage": null,
    "body": {
        "accessToken": "5dfb3894b34d89922b837810Kk4jb28H",
        "expireTime": 1576752308195
    }
}
```

返回值说明

| **expireTime** | **授权凭证为以毫秒为单位的过期时间**              |
| -------------- | --------------------------------- |
| accessToken    | 授权凭证                              |
| errorCode      | 正常的响应errorCode和errorMessage都为NULL |

错误编码表

| **错误编码**   | **错误消息**        |
| ---------- | --------------- |
| P200I01001 | 无效的clientId     |
| P200I01002 | 错误的clientSecret |

备注：所有的API返回值结构都为如下模式，对不同的接口，body属性的结构不同，后续对返回值的说明都是针对body属性的结构说明

```json
{
    "errorCode": null,
    "errorMessage": null,
    "body": {

    }
}
```

## **AccessToken的使用说明**
调用平台的AP时，需要传递获取到的AccessToken用来鉴权。任何设置无效的access token的情况，都会返回如下响应：
`{ "errorCode": "403", "errorMessage": "授权错误：access token无效" }`

传递方式有两种，根据需要取其一即可。

方式一：
设置wyc-access-token请求头：
wyc-access-token：{ACCESS_TOKEN}

方式二：
以Bearer认证方式设置Authorization请求头
Authorization: Bearer {ACCESS_TOKEN}