[TOC]


### **根据日期获取组织架构**

| **请求地址**     | **/api/payroll/orgCharts/viewOrgAsDate** |
| ------------ | ---------------------------------------- |
| 返回格式         | JSON                                     |
| content-type | application/json                         |
| 请求方式         | GET                                      |
| 请求参数         | GET 参数                                   |

| **参数**    | **类型** | **说明**                                                               | **举例**                   | **必选** |
| --------- | ------ | -------------------------------------------------------------------- | ------------------------ | ------ |
| orgType   | string | 组织类型，可选值为 “Supervisory”， “Location”, “CostCenter”, "Company" 默认值为 “Supervisory” | Supervisory              | NO     |
| date      | 日期类型   | 指定查看哪一天的组织关系， 默认为当天                                                  | 2021-03-01               | NO     |
| rootOrgNo | string | 指定根组织的编号，默认为获取最顶层下所有的组织关系                                            | 5d367e4b4562f908a117e57c | NO     |

返回值

| **字段**           | **类型**  | **说明** | **举例** |
| ---------------- | ------- | ------ | ------ |
| orgType          | string  | 组织类型   | 非必填，默认为管理组织       |
| rootOrganization | 组织树节点类型 |        |  非必填，默认为获取全量组织架构      |

组织树节点类型

| **字段**      | **类型**    | **说明**             |
| ----------- | --------- | ------------------ |
| name        | string    | 组织名称               |
| no          | Long      | 组织内部编号，为技术字段，具有唯一性 |
| orgType     | String    | 组织类型               |
| children    | 组织树节点类型数组 | 该组织的子组织列表          |
| bizDisabled | boolean   | 该组织是否已封存           |



### **获取组织详细信息**

在获取到了组织关系后，我们可以根据组织内部编号获取组织的详细信息。对于“Supervisory”组织，组织详情类型为部门类型（Department）。对于“Location”组织，组织详情类型为区域类型(Location)。对于“CostCenter”组织，组织详情类型为成本中心类型(CostCenter)。

| **获取部门详细信息请求地址**     | **/api/payroll/departments/{no}/{date}** |
| ------------ | ---------------------------------------- |
| 返回格式         | JSON                                     |
| content-type | application/json                         |
| 请求方式         | GET                                      |
| 请求参数         | PATH 参数                                   |

| **参数**    | **类型** | **说明**                                                               | **举例**                   | **必选** |
| --------- | ------ | -------------------------------------------------------------------- | ------------------------ | ------ |
| no   | string | 组织内部编号 | 5d367e4b4562f908a117e562              | YES     |
| date      | 日期类型   | 指定查看哪一天的部门详细信息                                                 | 2021-03-01               | YES     |

返回值为Department，请参见Department类型



| **获取区域详细信息请求地址**     | **/api/payroll/locations/{no}/{date}** |
| ------------ | ---------------------------------------- |
| 返回格式         | JSON                                     |
| content-type | application/json                         |
| 请求方式         | GET                                      |
| 请求参数         | PATH 参数                                   |

| **参数**    | **类型** | **说明**                                                               | **举例**                   | **必选** |
| --------- | ------ | -------------------------------------------------------------------- | ------------------------ | ------ |
| no   | string | 组织内部编号 | 5d367e4b4562f908a117e562              | YES     |
| date      | 日期类型   | 指定查看哪一天的区域详细信息                                                 | 2021-03-01               | YES     |

返回值为Location，请参见Location类型


| **获取成本中心详细信息请求地址**     | **/api/payroll/costCenters/{no}/{date}** |
| ------------ | ---------------------------------------- |
| 返回格式         | JSON                                     |
| content-type | application/json                         |
| 请求方式         | GET                                      |
| 请求参数         | GET 参数                                   |

| **参数**    | **类型** | **说明**                                                               | **举例**                   | **必选** |
| --------- | ------ | -------------------------------------------------------------------- | ------------------------ | ------ |
| no   | string | 组织内部编号 | 5d367e4b4562f908a117e562              | YES     |
| date      | 日期类型   | 指定查看哪一天的成本中心详细信息                                                 | 2021-03-01               | YES     |

返回值为CostCenter，请参见CostCenter类型



组织类型（基类型，具体的组织详情类型都继承自该类型）

| **字段**                | **类型**  | **说明**                   |
| --------------------- | ------- | ------------------------ |
| **startDate**        | LocalDate  | 最后一次变更生效日期           
| **name**              | string  | 组织名称                     |
| **path**              | string  | 组织全路径                    |
| **no**                | string  | 组织内部编号，技术字段，具有唯一性        |
| **code**              | string  | 组织编码                     |
| **subType**           | string  | 组织子类型名称                  |
| **subTypeId**         | Long    | 组织子类型的唯一标记               |
| **memo**              | string  | 组织描述                     |
| **userDefinedFields** | map     | 用户自定义字段 map的key为自定义字段的名称 |
| **parentNo**          | string  | 该组织的父组织内部编号              |
| **bizDisabled**       | boolean | 该组织是否已封存                 |

部门类型 （Department）

| **字段**              | **类型**             | **说明**       |
| ------------------- | ------------------ | ------------ |
| **logo**            | Image对象            | 部门的LOGO信息    |
| **roleAssignments** | RoleAssignment对象数组 | 部门上的业务角色赋值信息 |

RoleAssignment类型

| **字段**          | **类型**           | **说明**                                                                                            |
| --------------- | ---------------- | ------------------------------------------------------------------------------------------------- |
| **roleName**    | string           | 角色名称                                                                                              |
| **roleId**      | Long             | 技术字段，具有唯一性                                                                                        |
| **assignees**   | RoleAssignee对象数组 | 角色赋值信息                                                                                            |
| **inherited**   | boolean          | 是否是从上级组织继承过来的                                                                                     |
| **roleCode**    | string           | 业务角色编码                                                                                            |
| **sysRoleCode** | string           | 系统预置了“部门负责人”和 “人事经理”两个业务角色。改字段为预置业务角色的内部编码且无法更改。<br />对于部门负责人该字段值为Manager， <br />对于人事经理该字段值为为HRBP |

RoleAssignee类型

| **字段**                 | **类型**                | **说明**      |
| ---------------------- | --------------------- | ----------- |
| **employeeId**         | Long                  | 员工ID        |
| **employeeFullName**   | string                | 员工姓名        |
| **position**           | Position类型            | 业务角色指定的岗位信息 |
| **positionIncumbents** | PositionIncumbent类型数组 | 在该岗位上的员工信息  |

Position类型

| **字段**            | **类型** | **说明** |
| ----------------- | ------ | ------ |
| **no**            | string | 岗位内部编号 |
| **positionCode**  | string | 岗位编码   |
| **positionTitle** | string | 岗位名    |

PositionIncumbent类型

| **字段**       | **类型** | **说明** |
| ------------ | ------ | ------ |
| **id**       | string | 员工ID   |
| **code**     | string | 员工工号   |
| **fullName** | string | 员工姓名   |

Location类型

| **字段**                  | **类型**             | **说明**                                                                     |
| ----------------------- | ------------------ | -------------------------------------------------------------------------- |
| **usageTypes**          | string数组           | 用途，值为 BusinessSite， WorkSpace， OnboardSpace中的一个或多个，分别代表"工作地"，“办公场所”，“入职地点” |
| **contactPersonstring** | string             | 联系人                                                                        |
| **contactPhone**        | string             | 联系电话                                                                       |
| **workSpace**           | workSpace类型        | 办公场所信息                                                                     |
| **coordinate**          | coordinate类型       | 办公场所坐标信息                                                                   |
| **roleAssignments**     | RoleAssignment对象数组 | 区域上的业务角色赋值信息                                                               |

workSpace类型

| **字段**            | **类型** | **说明** |
| ----------------- | ------ | ------ |
| **detailAddress** | string | 详细地址   |
| **zipCode**       | string | 邮编     |

coordinate类型

| **字段**             | **类型** | **说明**                                                    |
| ------------------ | ------ | --------------------------------------------------------- |
| **latitude**       | double | 纬度                                                        |
| **longitude**      | double | 经度                                                        |
| **coordinateType** | string | 坐标系，目前返回值固定为WGS84   说明：WGS84为大地坐标系，GPS全球卫星定位系统使用的坐标系<br/> |

成本中心类型（CostCenter）

| **字段**              | **类型**             | **说明**       |
| ------------------- | ------------------ | ------------ |
| **roleAssignments** | RoleAssignment对象数组 | 成本上的业务角色赋值信息 |

OrgRole类型

| **字段**          | **类型**  | **说明**   |
| --------------- | ------- | -------- |
| **name**        | string  | 业务角色名称   |
| **orgType**     | string  | 适用的组织类型  |
| **id**          | long    | 业务角色技术编号 |
| **bizDisabled** | Boolean | 是否已禁用    |

### **根据日期获取单个部门的详细信息（包括业务角色）**

| **请求地址**     | **/api/payroll/departments/{no}/{date}/full** |
| ------------ | --------------------------------------------- |
| 返回格式         | JSON                                          |
| content-type | application/json                              |
| 请求方式         | GET                                           |
| 请求参数         | PATH参数                                        |

| **参数** | **类型** | **说明**       | **举例**     | **必选** |
| ------ | ------ | ------------ | ---------- | ------ |
| no     | string | 部门的内部编号      |            | YES    |
| date   | 日期类型   | 指定查看哪一天的部门信息 | 2021-03-01 | YES    |

返回值为部门类型（Department），请参见部门类型

### **获取指定部门的路径详情**

| **请求地址**     | **/api/payroll/departments/{orgNo}/pathDetails** |
| ------------ | ------------------------------------- |
| 返回格式         | JSON                                  |
| content-type | application/json                      |
| 请求方式         | GET                                  |
| 请求参数         | query 参数                        |

| **参数**                  | **类型**   | **说明**                | **举例**     | **必选**    |
| ----------------------- | -------- | --------------------- | ---------- | --------- |
| orgNo                  | String数组 | 部门的内部编号|            | YES       |
| date                    | 日期类型     | 指定查看哪一天的部门信息          | 2021-03-01 | NO， 默认为当天 |


返回值为部门数组类型，请参见部门类型
数组的最后一个元素为当前部门，父部门为倒数第二个元素，依次类推。


### **批量获取多个部门在指定日期的详细信息**

| **请求地址**     | **/api/payroll/departments/batchGet** |
| ------------ | ------------------------------------- |
| 返回格式         | JSON                                  |
| content-type | application/json                      |
| 请求方式         | POST                                  |
| 请求参数         | POST参数 JSON 格式                        |

| **参数**                  | **类型**   | **说明**                | **举例**     | **必选**    |
| ----------------------- | -------- | --------------------- | ---------- | --------- |
| orgNos                  | String数组 | 多个部门的内部编号， 最多不能超过200个 |            | YES       |
| date                    | 日期类型     | 指定查看哪一天的部门信息          | 2021-03-01 | NO， 默认为当天 |
| includesRoleAssignments | boolean  | 是否获取部门的业务角色赋值信息       | true       | NO， 默认为是  |

返回值为部门数组类型，请参见部门类型

### **获取指定部门直接子部门的详细信息**（包括业务角色）

| **请求地址**     | **/api/payroll/departments/{no}/{date}/directChildren/full** |
| ------------ | ------------------------------------------------------------ |
| 返回格式         | JSON                                                         |
| content-type | application/json                                             |
| 请求方式         | GET                                                          |
| 请求参数         | PATH 参数                                                      |

| **参数** | **类型** | **说明**       | **举例**     | **必选** |
| ------ | ------ | ------------ | ---------- | ------ |
| no     | String | 部门的技术编号      |            | YES    |
| date   | 日期类型   | 指定查看哪一天的部门信息 | 2021-03-01 | YES    |

返回值为部门类型，请参见部门类型

### **批量获取多个区域在指定日期的详细信息**

| **请求地址**     | **/api/payroll/locations/batchGet** |
| ------------ | ----------------------------------- |
| 返回格式         | JSON                                |
| content-type | application/json                    |
| 请求方式         | POST                                |
| 请求参数         | POST参数 JSON 格式                      |

| **参数**                  | **类型**   | **说明**                      | **举例**     | **必选**    |
| ----------------------- | -------- | --------------------------- | ---------- | --------- |
| orgNos                  | String数组 | 多个Location的技术编号， 最多不能超过200个 |            | YES       |
| date                    | 日期类型     | 指定查看哪一天的Location信息          | 2021-03-01 | NO， 默认为当天 |
| includesRoleAssignments | boolean  | 是否获取部门的业务角色赋值信息             | true       | NO， 默认为是  |

返回值为Location数组类型，请参见Location类型

### **获取指定Location直接子区域的详细信息**

| **请求地址**     | **/api/payroll/locations/{no}/{date}/directChildren/full** |
| ------------ | ---------------------------------------------------------- |
| 返回格式         | JSON                                                       |
| content-type | application/json                                           |
| 请求方式         | GET                                                        |
| 请求参数         | PATH 参数                                                    |

| **参数** | **类型** | **说明**        | **举例**     | **必选** |
| ------ | ------ | ------------- | ---------- | ------ |
| no     | String | Location的技术编号 |            | YES    |
| date   | 日期类型   | 指定查看哪一天的区域信息  | 2021-03-01 | YES    |

返回值为Location数组类型，请参见Location类型

### **获取业务角色（OrgRole）定义**

| **请求地址**     | **/api/payroll/orgRole** |
| ------------ | ------------------------ |
| 返回格式         | JSON                     |
| content-type | application/json         |
| 请求方式         | GET                      |
| 请求参数         | Query 参数                 |

请求参数说明

| **参数**  | **类型** | **说明**                  | **举例**                                 | **必选** |
| ------- | ------ | ----------------------- | -------------------------------------- | ------ |
| offset  | int    | 分页查询的偏移量                | 0                                      | Yes    |
| limit   | int    | 分页页码                    | 20                                     | Yes    |
| orderby | string | 分页排序字段                  | id desc                                | Yes    |
| filter  | string | 过滤条件，请参考ODATA表达式了解表达式规则 | endDate eq '2020-12-31' and count le 5 | No     |
| keyword | string | 可模糊匹配业务角色的名称            | 店长                                     | No     |

返回值结构

| **属性**     | **类型**      | **说明**      |
| ---------- | ----------- | ----------- |
| totalCount | long        | 符合条件的员工数据总量 |
| list       | OrgRole类型数组 | 业务角色对象数组    |

OrgRole类型

| **字段**          | **类型**  | **说明**   |
| --------------- | ------- | -------- |
| **name**        | string  | 业务角色名称   |
| **orgType**     | string  | 适用的组织类型  |
| **id**          | long    | 业务角色技术编号 |
| roleCode        | string  | 业务角编码    |
| **bizDisabled** | Boolean | 是否已禁用    |

### **根据日期获取指定部门在某一天的业务角色赋值信息**

| **请求地址**     | **/api/payroll/departments/{no}/roleAssignments**                                                |
| ------------ | ------------------------------------------------------------------------------------------------ |
| 返回格式         | JSON                                                                                             |
| content-type | application/json                                                                                 |
| 请求方式         | GET                                                                                              |
| 请求参数         | PATH参数 + Query 参数                                                                                |
| 请求举例         | https://open.hrsaas.com/api/payroll/departments/445ddf55454/<br/>roleAssignments?date=2021-03-22 |

| **参数** | **类型** | **说明**    | **举例**     | **必选** |
| ------ | ------ | --------- | ---------- | ------ |
| no     | string | 部门的内部技术编号 |            | YES    |
| date   | 日期类型   | 指定的日期     | 2021-03-01 | YES    |

返回值为RoleAssignment数组，请参见RoleAssignment类型

### **根据日期获取指定区域在某一天的业务角色赋值信息**

| **请求地址**     | **/api/payroll/locations/{no}/roleAssignments**                                                |
| ------------ | ---------------------------------------------------------------------------------------------- |
| 返回格式         | JSON                                                                                           |
| content-type | application/json                                                                               |
| 请求方式         | GET                                                                                            |
| 请求参数         | PATH参数 + Query 参数                                                                              |
| 请求举例         | https://open.hrsaas.com/api/payroll/locations/445ddf55454/<br/>roleAssignments?date=2021-03-22 |

| **参数** | **类型** | **说明**    | **举例**     | **必选** |
| ------ | ------ | --------- | ---------- | ------ |
| no     | string | 的区域内部技术编号 |            | YES    |
| date   | 日期类型   | 指定的日期     | 2021-03-01 | YES    |

返回值为RoleAssignment数组，请参见RoleAssignment类型