### **获取职群信息**

| 请求地址         | https://open.hrsaas.com/api/payroll/jobFamilyGroups                                       |
| ------------ | ----------------------------------------------------------------------------------------- |
| 返回格式         | JSON                                                                                      |
| content-type | application/json                                                                          |
| 请求方式         | GET                                                                                       |
| 请求参数         | QUERY 参数                                                                                  |
| 请求举例         | https://open.hrsaas.com/api/payroll/jobFamilyGroups?<br/>offset=0&limit=10&orderby=id asc |
| 备注           | 为了便于识别，url做过decode，提交时需要url encode                                                        |

| 返回字段                | 类型     | 说明   | 举例             |
| ------------------- | ------ | ---- | -------------- |
| id                  | long   | 职群id | 1              |
| name                | string | 职群名称 | 人力资源           |
| code                | string | 职群编码 | HUMAN_RESOURCE |
| memo                | string | 职群备注 | 人力资源职群         |
| effectiveDate       | date   | 生效日期 | 1900-01-01     |
| jobFamilies[i].id   | long   | 职种id | 1001           |
| jobFamilies[i].name | string | 职种名称 | 招聘类            |
| jobFamilies[i].code | string | 职种编码 | RECRUIT        |
| jobFamilies[i].memo | string | 职种备注 | 招聘类职务          |

返回值示例

{ "id": 1, "name": "缺省职群", "code": "DEFAULT", "memo": "缺省职群", "effectiveDate":"1900-01-01","jobFamilies": [  {    "id": 1057,    "name": "技术",    "code": "TECH",    "memo": "abcabcabc",    }] }

### **获取职种信息**

| 请求地址         | https://open.hrsaas.com/api/payroll/jobCategories                                       |
| ------------ | --------------------------------------------------------------------------------------- |
| 返回格式         | JSON                                                                                    |
| content-type | application/json                                                                        |
| 请求方式         | GET                                                                                     |
| 请求参数         | QUERY 参数                                                                                |
| 请求举例         | https://open.hrsaas.com/api/payroll/jobCategories?<br/>offset=0&limit=10&orderby=id asc |
| 备注           | 为了便于识别，url做过decode，提交时需要url encode                                                      |

| 返回字段          | 类型     | 说明   | 举例         |
| ------------- | ------ | ---- | ---------- |
| id            | long   | 职种id | 1          |
| name          | string | 职种名称 | SSC        |
| code          | string | 职种编码 | SSC        |
| memo          | string | 职种备注 | 人力资源职种     |
| effectiveDate | date   | 生效日期 | 1900-01-01 |

返回值示例

{ "id": 1, "name": "缺省职种", "code": "DEFAULT", "memo": "缺省职种" , "effectiveDate":"1900-01-01"}

### **获取职务信息**

| 请求地址         | https://open.hrsaas.com/api/payroll/jobClasses                                                                                                     |
| ------------ | -------------------------------------------------------------------------------------------------------------------------------------------------- |
| 返回格式         | JSON                                                                                                                                               |
| content-type | application/json                                                                                                                                   |
| 请求方式         | GET                                                                                                                                                |
| 请求参数         | QUERY 参数                                                                                                                                           |
| 请求举例         | https://open.hrsaas.com/api/payroll/jobClasses?filter=category.id eq<br/> 1057&keyword=&offset=0&limit=200&orderby=id desc&timestamp=1614912240921 |
| 备注           | 为了便于识别，url做过decode，提交时需要url encode                                                                                                                 |

| 参数     | 类型  | 说明      | 举例  | 必选  |
| ------ | --- | ------- | --- | --- |
| offset | int | 分页参数起始值 | No  |     |
| limit  | int | 每也最多纪录数 | 100 | No  |

| 返回字段                    | 类型     | 说明               | 举例              |
| ----------------------- | ------ | ---------------- | --------------- |
| id                      | long   | 职务id             | 1               |
| no                      | string | 职务内部编号           | 1               |
| name                    | string | 职务名称             | TECH004         |
| code                    | string | 职务编码             | 高级软件工程师         |
| memo                    | string | 职务备注             |                 |
| startDate               | date   | 生效日期             | 1900-01-01      |
| endDate                 | date   | 生效结束日期           | 9999-12-31      |
| tasks                   | string | @Deprecated 职务描述 |                 |
| description             | string | 职务描述             |                 |
| qualification           | string | @Deprecated 职务概述 |                 |
| summary                 | string | 职务概述             |                 |
| jobFamilyGroupName      | string | 职群名称             |                 |
| jobFamilyGroupCode      | string | 职群编码             |                 |
| jobFamilyName           | string | 职种名称             |                 |
| jobFamilyCode           | string | 职种编码             |                 |
| managementLayerName     | string | 职层名称             |                 |
| managementLayerCode     | string | 职层编码             |                 |
| managementLevelName     | string | 职等名称             |                 |
| managementLevelCode     | string | 职等编码             |                 |
| defaultJobTitle         | string | 默认商务头衔           |                 |
| difficultyToFillName    | string | 聘任难易程度           |                 |
| jobGradeCodes           | string | 职级范围             | P5,P6,P7        |
| jobGrades[i].id         | long   | 职级ID             | 123             |
| jobGrades[i].code       | string | 职级编码             | P5              |
| jobGrades[i].name       | string | 职级名称             | 高级工程师           |
| jobGrades[i].sn         | long   | 职级高低             | 50， 用来比较职级高低的数字 |
| jobGrades[i].memo       | string | 职级备注             |                 |
| jobGrades[i].seriesId   | long   | 职业发展通道ID         | 236             |
| jobGrades[i].seriesName | string | 职业发展通道名称         | 工程师             |
| jobGrades[i].seriesCode | string | 职业发展通道编码         | P               |
| jobGrades[i].seriesMemo | string | 职业发展通道备注         | 工程师职级           |

返回值示例

```json
{
  "id": 392,
  "startDate": "1900-01-01",
  "endDate": "9999-12-31",
  "categoryId": 1057,
  "jobFamilyGroupId": 1,
  "jobFamilyGroupCode": "DEFAULT",
  "jobFamilyGroupName": "缺省职群",
  "categoryCode": "TECH",
  "categoryName": "技术",
  "code": "Tech007",
  "name": "运维工程师1",
  "jobGradeCodes": "P4, P5, P6",
  "tasks": null,
  "description": null,
  "qualification": null,
  "summary": null,
  "memo": null,
  "jobGrades": [
    {
      "id": 289,
      "seriesName": "P序列",
      "seriesCode": "P",
      "seriesMemo": null,
      "name": "助理工程师",
      "code": "P4",
      "sn": 0,
      "memo": null,
      "seriesId": 77
    }
  ]
}
```

### 通过NO获取职务详情

| **请求地址**     | **/api/payroll/jobClasses/byNo/{no}**                    |
|:------------ | -------------------------------------------------------- |
| 请求方式         | GET                                                      |
| 请求参数         | Path参数 + Query参数                                         |
| 请求示例         | https://open.hrsaas.com/api/payroll/jobClasses/byNo/{no} |
| content-type | application/json                                         |

请求参数

| 名称   | 位置    | 类型     | 必选  | 说明                                                     |
| ---- | ----- | ------ | --- | ------------------------------------------------------ |
| no   | path  | string | 是   | 职务内部编号                                                 |
| date | query | string | 否   | 例如：2022-05-22，目前可不填，后续职务支持时间轴后，date用来通过时间轴过滤使用该no的哪个版本 |

返回参数

| 名称                               | 类型       | 说明               |
| -------------------------------- | -------- | ---------------- |
| » body                           | object   | none             |
| »» id                            | integer  | 职务id             |
| »» bizDisabled                   | boolean  | 是否禁用             |
| »» startDate                     | string   | 职务生效日期           |
| »» endDate                       | string   | 生效结束日期           |
| »» isDraft                       | null     | 是否草稿             |
| »» jobFamilyGroupCode            | string   | 职群编码             |
| »» jobFamilyGroupName            | string   | 职群名称             |
| »» jobFamilyCode                 | string   | 职种编码             |
| »» jobFamilyName                 | string   | 职种名称             |
| »» code                          | string   | 职务编码             |
| »» name                          | string   | 职务名称             |
| »» description                   | string   | 职务描述             |
| »» tasks                         | string   | @Deprecated 职务描述 |
| »» summary                       | string   | 职务概述             |
| »» qualification                 | string   | @Deprecated 职务概述 |
| »» memo                          | string   | 职务备注             |
| »» managementLevelName           | null     | 职等名称             |
| »» managementLevelCode           | null     | 职等编码             |
| »» managementLayerName           | null     | 职层名称             |
| »» managementLayerCode           | null     | 职层编码             |
| »» defaultJobTitle               | string   | 默认商务头衔           |
| »» difficultyToFillName          | string   | 聘任难易程度           |
| »» no                            | string   | 职务内部编号           |
| »» enabled                       | boolean  | 是否启用             |
| »» jobCertificationRequirements  | [object] | 资格证书要求           |
| »» jobCompetencyRequirements     | [object] | 胜任力要求            |
| »» jobDutyRequirements           | [object] | 工作职责要求           |
| »» jobEducationRequirements      | [object] | 工作教育背景要求         |
| »» jobCollaborationRoles         | [object] | 工作联系对象           |
| »» jobLanguageRequirements       | [object] | 职务语言要求           |
| »» jobSkillRequirements          | [object] | 技能要求             |
| »» jobTrainingRequirements       | [object] | 培训要求             |
| »» jobWorkExperienceRequirements | [object] | 工作经验要求           |

返回示例

```json
{
  "body": {
    "id": 354,
    "bizDisabled": false,
    "startDate": "1900-01-01",
    "endDate": "9999-12-31",
    "requestId": 6146,
    "isDraft": null,
    "jobFamilyGroupCode": "DEFAULT",
    "jobFamilyGroupName": "缺省职能类",
    "jobFamilyCode": "Cust",
    "jobFamilyName": "客服岗位族",
    "code": "Cust001",
    "name": "客服经理",
    "description": "",
    "tasks": "",
    "summary": "",
    "qualification": "",
    "memo": "memo导入1",
    "managementLevel": null,
    "managementLevelName": null,
    "managementLevelCode": null,
    "managementLayerName": null,
    "managementLayerCode": null,
    "defaultJobTitle": "程序员",
    "difficultyToFill": "EASY",
    "difficultyToFillName": "容易",
    "no": "354",
    "enabled": false,
    "jobCertificationRequirements": [],
    "jobCompetencyRequirements": [],
    "jobDutyRequirements": [],
    "jobEducationRequirements": [],
    "jobCollaborationRoles": [],
    "jobLanguageRequirements": [],
    "jobSkillRequirements": [],
    "jobTrainingRequirements": [],
    "jobWorkExperienceRequirements": []
  }
}
```

#### **根据职务ID获取职务详情**

| 请求地址         | https://open.hrsaas.com/api/payroll/jobClasses/{jobClassId} |
| ------------ | ----------------------------------------------------------- |
| 返回格式         | JSON                                                        |
| content-type | application/json                                            |
| 请求方式         | GET                                                         |
| 请求参数         | PATH 参数                                                     |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/payroll/jobClasses/13306   |
| 返回值          | 岗位对象                                                        |

#### **获取所有的职级列表**

| 请求地址         | https://open.hrsaas.com/api/payroll/jobGrades                       |
| ------------ | ------------------------------------------------------------------- |
| 返回格式         | JSON                                                                |
| content-type | application/json                                                    |
| 请求方式         | GET                                                                 |
| 请求参数         | QUERY 参数                                                            |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/payroll/jobGrades?offset=0&limit=2 |
| 返回值          | 职级对象数组                                                              |

| 参数     | 类型  | 说明      | 举例  | 必选  |
| ------ | --- | ------- | --- | --- |
| offset | int | 分页参数起始值 | No  |     |
| limit  | int | 每也最多纪录数 | 100 | No  |

职级对象结构

| 属性                | 类型     | 说明         |
| ----------------- | ------ | ---------- |
| code              | string | 职级编号       |
| name              | string | 职级名称       |
| id                | long   | 职级ID       |
| memo              | string | 职级备注       |
| seriesCode        | string | 所属职业发展通道编号 |
| seriesName        | string | 所属职业发展通道名称 |
| userDefinedFields | map    | 扩展字段信息     |

#### **根据职级ID获取职级详情**

| 请求地址         | https://open.hrsaas.com/api/payroll/jobGrades/{jobGradeId} |
| ------------ | ---------------------------------------------------------- |
| 返回格式         | JSON                                                       |
| content-type | application/json                                           |
| 请求方式         | GET                                                        |
| 请求参数         | PATH 参数                                                    |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/payroll/jobGrades/13306   |
| 返回值          | 职级对象                                                       |

#### **根据职群ID获取职群详情**

| 请求地址         | https://open.hrsaas.com/api/payroll/jobFamilyGroups/{jobFamilyGroupId} |
| ------------ | ---------------------------------------------------------------------- |
| 返回格式         | JSON                                                                   |
| content-type | application/json                                                       |
| 请求方式         | GET                                                                    |
| 请求参数         | PATH 参数                                                                |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/payroll/jobFamilyGroups/11            |
| 返回值          | 职群对象                                                                   |

#### **根据职种ID获取职种详情**

| 请求地址         | https://open.hrsaas.com/api/payroll/jobCategories/{jobCategoryId} |
| ------------ | ----------------------------------------------------------------- |
| 返回格式         | JSON                                                              |
| content-type | application/json                                                  |
| 请求方式         | GET                                                               |
| 请求参数         | PATH 参数                                                           |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/payroll/jobCategories/11         |
| 返回值          | 职种对象                                                              |