[TOC]



### **获取定义的员工类型列表**

| **请求地址**     | /api/payroll/configurableMasterData/EmployeeType |
| ------------ | ------------------------------------------------ |
| 返回格式         | JSON                                             |
| content-type | application/json                                 |
| 请求方式         | GET                                 

返回值结构

| **属性**     | **类型** | **说明** |
| ---------- | ------ | ------ |
| totalCount | long   | 员工类型总数 |
| list       | 员工类型   | 员工类型数组 |

员工类型

| **属性** | **类型** | **说明** |
| ------ | ------ | ------ |
| code   | string | 员工类型代码 |
| name   | string | 类型名称   |


### **员工列表接口**

| **请求地址**     | **/api/payroll/jobInfo/listEmployees**                                                                                                                                                                              |
| ------------ | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 返回格式         | JSON                                                                                                                                                                                                                |
| content-type | application/json                                                                                                                                                                                                    |
| 请求方式         | GET                                                                                                                                                                                                                 |
| 请求参数         | QUERY 参数                                                                                                                                                                                                            |
| 请求举例         | 获取2021年8月20日当天的在职员工列表清单<br>请求示例：https://open.hrsaas.com/api/payroll/jobInfo/listEmployees?filter=startDate le '2021-08-20' and endDate ge '2021-08-20' and employeeStatus eq 'ONBOARD'&keyword=&offset=0&limit=10&orderby=id desc<br><br>获取2021年8月1日到2021年8月31日发生过离职的员工列表清单<br>请求示例：https://open.hrsaas.com/api/payroll/jobInfo/listEmployees?filter=startDate le '2021-08-31' and startDate ge '2021-08-01' and employeeStatus eq 'QUIT'&keyword=&offset=0&limit=10&orderby=id desc|
| 说明           | 可以通过该接口获取当前在职员工和离职员工的数据            |

请求参数说明

| **参数**  | **类型** | **说明**                  | **举例**                                 | **必选** |
| ------- | ------ | ----------------------- | -------------------------------------- | ------ |
| offset  | int    | 分页查询的偏移量                | 0                                      | Yes    |
| limit   | int    | 分页页码                    | 20                                     | Yes    |
| orderby | string | 分页排序字段                  | id desc                                | Yes    |
| filter  | string | 过滤条件，请参考ODATA表达式了解表达式规则 | endDate eq '2020-12-31' and count le 5 | No     |
| keyword | string | 可模糊匹配员工的工号、姓名           | 王                                      | No     |

返回值结构

| **属性**     | **类型** | **说明**      |
| ---------- | ------ | ----------- |
| totalCount | long   | 符合条件的员工数据总量 |
| list       | 员工类型数组 | 员工对象数组      |

#### Employee类型

| **属性**                           | **类型**      | **说明**                                                                      | **举例**                                                            |
| -------------------------------- | ----------- | --------------------------------------------------------------------------- | ----------------------------------------------------------------- |
| id                               | long        | 员工ID，同一个员工多次入职，ID不会发生变化。                                                                       | 6874                                                              |
| fullName                         | string      | 姓名                                                                          | 王源                                                                |
| pinyinOfName                     | string      | 姓名的拼音                                                                       | wang hong                                                         |
| alias                            | string      | 英文名                                                                         | pin                                                               |
| code                             | string      | 员工号                                                                         | E233                                                              |
| headImage                             | [Image](https://doc.hrsaas.com/docs/pass/pass-1eincpgm7gr05 "Image")      | 员头像                                                                         | E233                                                              |
| gender                           | string      | 性别                                                                          | MALE - 男，FEMALE - 女                                              |
| dateOfBirth                      | date        | 生日                                                                          | 1980-01-01                                                        |
| residenceInfo.nationalityArea                      | string        | 民族                                                                          | HAN                                                        |
| residenceInfo.nativePlace                      | string        | 籍贯                                                                        | 北京市                                                        |
| onboardDate                      | date        | 最近入职日期                                                                      | 2021-04-01                                                        |
| inProbation                 | boolean        | 是否在试用期                                                                      | true  
| hasProbation                 | boolean        | 是否有试用期                                                                    | true  
| onboardGroupDate                 | date        | 最初入职日期                                                                      | 2019-04-01  
| lengthOfCompanyServiceStartDate                 | date        | 司龄计算起始日期                                                                      | 2019-04-01      
| startWorkingDate                 | date        | 首次参加工作日期                                                                      | 2019-04-01    |
| becomeRegularDate                | date        | 在hasProbation为true的情况下，如果inProbation为true，代表计划转正日期，如果inProbation为false,代表转正日期                                                                      | 2019-07-01                                                        |
| status                           | string 员工状态 | enum值包含四种类型：ONBOARDING - 待入职，REJECTED - 未入职，ONBOARD - 在职，QUIT - 已离职  |                                                                   |
| paymentInfo.bankCode             | string      | 开户银行编码                                                                      | CMB        
| paymentInfo.bankName             | string      | 开户银行名                                                                     | CMB         |
| paymentInfo.bankBranch           | string      | 开户网点 招商银行上海南西支行                                                             |                                                                   |
| paymentInfo.bankAccountName      | string      | 工资卡姓名                                                                       | 王源                                                                |
| paymentInfo.bankAccountNo        | string      | 工资卡账号                                                                       | 6225100810081008                                                  |
| currentJobInfo                   | 任职类型        | 员工当前的任职信息                                                                   |                                                                   |
| onboardingJobInfo                | 任职类型        | 待入职员工的任职信息（只有员工为待入职状态时该字段才有值）                                               |                                                                   |
| contactInfo.email                | string      | 个人邮箱                                                                        | test@163.com                                                      |
| contactInfo.companyEmail         | string      | 公司邮箱                                                                        | test@hrsaas.com                                                   |
| contactInfo.cellphone            | string      | 个人手机号码                                                                      | 18600000000                                                       |
| contactInfo.cellphoneCountryCode | string      | 手机号码国家编号                                                                    | 详细国家编号列表见<br />https://app.hrsaas.com/api/payroll/telCountryCodes |
| contactInfo.officeTel                      | string      |办公室电话                                                                |                                                                   |
| contactInfo.officeTelExt                      | string      |办公室电话分机号                                                               |                                                                   |
| workSpaceNo                      | string      | 办公场所内部编号                                                                    |                                                                   |
| workSpacePath                    | string      | 办公场所全路径                                                                     |                                                                   |
| workSpaceName                    | string      | 办公场所名称                                                                      |       
| highestAcademicCredential                    | string      | 最高学历等级编码                                                                      |     |
| highestAcademicCredentialName                    | string      | 最高学历等级名称                                                                      |     |
| userDefinedFields.亲属卡姓名          | string      | userDefinedFields属性对应一个map，key为用户自定义字段的键，value为用户自定义字段的值。                   | 王天明                                                               |

#### 任职类型

| **属性**             | **类型**       | **说明**                    | **举例**                                                               |
| ------------------ | ------------ | ------------------------- | -------------------------------------------------------------------- |
| id                 | long         | 岗位信息id                    |                                                                      |
| userDefinedFields  | map          | 用户自定义字段,key为字段名 value为字段值 |                                                                      |
| startDate          | LocalDate    | 任职信息的开始生效时间               | "2012-07-09"                                                         |
| endDate            | LocalDate    | 任职信息的生效截止时间               | "9999-12-31"                                                         |
| ownerId            | long         | 员工ID                      | 20714                                                                |
| legalEntityId      | long         | 法务实体ID                    | 11                                                                   |
| legalEntityName    | string       | 法务实体名称                    | 百香果科技                                                                |
| deptNo             | string       | 所属部门内部编号                  | 5b6f8202e4b0780b33390990                                             |
| departmentName     | string       | 所属部门名称                    | 财务部                                                                  |
| departmentPath     | string       | 所属部门完整路径                  | 百香果科技/财务部                                                            |
| positionNo         | string       | 岗位内部编号                    | JAVA开发工程师.  该字段只有在部门编制模式为“基于岗位”时才会有值。                                |
| position           | Position类型   |                           |                                                                      |
| jobClassId         | long         | 职务id                      |                                                                      |
| jobClassName       | string       | 职务名称                      | 开发工程师                                                                |
| jobGradeId         | long         | 职级id                      |                                                                      |
| jobGradeCode       | string       | 职级编码                      |                                                                      |
| superiorId         | long         | 对该员工单独指定的汇报人ID            | 124                                                                  |
| superiorName       | string       | 对该员工单独指定的汇报人名称            | 王栋                                                                   |
| dashlineReporterId | long         | 虚线汇报人id                   |                                                                      |
| lineReporter       | LineReporter | 直线汇报人                     | 员工的直接汇报人只有一个   请注意，如果直接汇报人来自己部门经理，那么即使岗位信息没做变更，直接汇报人也有可能因为部门经理变化而变化的 |
| employeeStatus     | string       | 员工状态                      | ONBOARD, QUIT， ONBOARDING                                            |
| title              | string       | 商务头衔                      | consultant                                                           |
| type               | string       | 员工类别，值为自定义的枚举                      | REGULAR, INTERN, OUTSOURCING, LABOR_WORKER, PARTTIMER, OTHER;        |
| locationNo         | string       | 工作地                       |                                                                      |
| locationName       | string       | 工作地名                      |                                                                      |
| locationPath       | string       | 工作地路径                     |                                                                      |
| costCenterNo       | string       | 成本中心内部编号                  |                                                                      |
| costCenter         | 成本中心类型       |                           |                                                                      |

#### LineReporter类型

| **属性**        | **类型**   | **说明**                                    | **举例** |
| ------------- | -------- | ----------------------------------------- | ------ |
| fromOrgRole   | boolean  | 是否来自己于业务角色部门经理，false代表是直接指定，true代表来自己部门经理 |        |
| fromOrgRoleId | long     | 部门经理角色ID                                  |        |
| employee      | Employee | 直接汇报人基本信息                                 |        |
| fromPosition  | boolean  | 是否来自于岗位指定                                 |        |
| employeeJobNo  | String  | 只有在直接指定汇报人的兼岗情形下，该字段才有值，该值指定了汇报人的兼岗no                                 |        |

#### Position类型

| **属性**  | **类型** | **说明**          | **举例** |
| ------- | ------ | --------------- | ------ |
| positionCode | string | 岗位编码 |   P0001     |
| positionTitle     | string | 岗位名称        |产品经理 
| no | string | 岗位内部编号 |        ||


#### 图片类型

| **属性**  | **类型** | **说明**          | **举例** |
| ------- | ------ | --------------- | ------ |
| hashKey | string | 图片的唯一标号，上传的时候生成 |        |
| url     | string | 图片的访问URL        |        |

返回值举例

```json
{
  "totalCount": 88,
  "list": [
    {
      "id": 6874,
      "fullName": "王源",
      "code": "E233",
      "gender": "MALE",
      "dateOfBirth": "1980-01-01",
      "onboardDate": "2019-04-01",
      "becomeRegularDate": "2019-07-01",
      "status": "ONBOARD",
      "costCenter": "201840113",
      "departmentName": "财务部",
      "departmentPath": "百香果科技/财务部",
      "depId": 2292,
      "depCode": "5d327f464562ebdd68e21db5",
      "jobClassId": 3300,
      "jobClassName": "开发工程师",
      "legalEntityId": 11,
      "legalEntityName": "百香果科技",
      "managerId": 55,
      "managerName": "石睿",
      "superiorId": 89,
      "superiorName": "连战",
      "paymentInfo": {
	    "bankName":"招商银行",
        "bankCode": "CMB",
        "bankBranch": "招商银行上海南西支行",
        "bankAccountName": "王源",
        "bankAccountNo": "6225100810081008"
      },
      "currentJobInfo": {
        "legalEntityCode": "91310109MA1G000000",
        "legalEntityName": "百香果科技（上海）有限公司"
      },
      "contractInfo": {
        "email": "test@163.com",
        "companyEmail": "test@hrsaas.com"
      },
      "userDefinedFields": {
        "亲属卡姓名": "王天明",
        "亲属卡关系": "父子"
      }
    }
  ]
}
```

#### 接口调用场景举例

##### 获取2022年5月16日当天的在职和离职员工

```json
{"filter":"(employeeStatus eq 'ONBOARD' or employeeStatus eq 'QUIT' ) and startDate le '2022-05-16' and endDate ge '2022-05-16'",
 "offset":0,
 "limit":20,
 "orderby":"id desc"
}
```

##### 获取2022年1月1日到2022年5月31日期间的离职员工

```json
{"filter":"(employeeStatus eq 'QUIT') and startDate le '2022-01-01' and endDate ge '2022-05-31'",
 "offset":0,
 "limit":20,
 "orderby":"id desc"
}
```

### **创建在职员工或已离职员工**

| **请求地址**     | **/api/payroll/employees                           |
| ------------ |:-------------------------------------------------- |
| 返回格式         | JSON                                               |
| content-type | application/json                                   |
| 请求方式         | POST                                               |
| 请求参数         | JSON  body                                         |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/payroll/employees |

| 属性                                | 类型                                                                                                   | 说明                               |
| --------------------------------- | ---------------------------------------------------------------------------------------------------- | -------------------------------- |
| lastName                          | String                                                                                               | 员工姓                              |
| firstName                         | String                                                                                               | 员工名                              |
| gender                            | Gender，值为MALE或FEMALE                                                                                 | 性别                               |
| alias                             | String                                                                                               | 英文名                              |
| headImage                         | [图片类型]()                                                                                             | 头像                               |
| nickname                          | String                                                                                               | 昵称                               |
| code                              | String                                                                                               | 工号                               |
| numberingPlanId                   | Long                                                                                                 | 工号编号方案ID，可以不指定code，通过这个属性来自动生成工号 |
| status                            | String， 值为ONBOARD或QUIT                                                                               | 员工的状态，代表示在职员工还是已离职员工             |
| onboardDate                       | LocalDate                                                                                            | 入职日期                             |
| hasProbation                      | boolean                                                                                              | 是否有试用期                           |
| inProbation                      | boolean                                                                                              | 是否在试用期        
| probationMonths                   | Integer                                                                                              | 多少个月的试用期,有试用期该字段才有值             |
| startWorkingDate                  | LocalDate                                                                                            | 首次参加工作日期                         |
| rehireAfterRetirement             | Boolean                                                                                              | 是否退休反聘                           |
| certificateType                   | CertificateType， 值为IDCard， Passport， TaiwanPassport， MainlandPassport， 分别代表身份证，护照， 台湾居民来往大陆通行证，港澳通行证 | 证件类型                             |
| identityNo                        | String                                                                                               | 证件号码                             |
| dateOfBirth                       | LocalDate                                                                                            | 出生日期                             |
| onlyChild                         | boolean                                                                                              | 是否独生子女                           |
| maritalStatus                     | String, 值为UNMARRIED， MARRIED，DIVORCED， WIDOW分别代表未婚，已婚，离异， 丧偶                                         | 婚姻状况                             |
| disabled                          | boolean                                                                                              | 是否残疾人                            |
| politicalStatus                   | String,值为MASSES，CYL_MEMBER，CPC_PRE_MEMBER，CPC_MEMBER分别代表群众，共青团员，中共预备党员，中共党员                          | 政治面貌                             |
| nonresident                       | boolean                                                                                              | 非居民纳税人                           |
| lastWorkingDate                   | LocalDate                                                                                            | 离职日期（离职员工最后工作日）                  |
| contactInfo                       | ContactInfo类型（下面带contactInfo前缀的属性都会该类型的属性）                                                           | 联系信息                             |
| contactInfo.cellphoneCountryCode  | string                                                                                               | 手机号码国家区号，默认为86                   |
| contactInfo.cellphone             | string                                                                                               | 手机号码                             |
| contactInfo.email                 | string                                                                                               | 个人邮箱                             |
| contactInfo.companyEmail          | string                                                                                               | 公司邮箱                             |
| contactInfo.emergencyContact      | string                                                                                               | 紧急联系人                            |
| contactInfo.ecTelephone           | string                                                                                               | 紧急联系人电话                          |
| contactInfo.ecCellphone           | string                                                                                               | 紧急联系人手机                          |
| contactInfo.ecRelationShip        | string                                                                                               | 与紧急联系人的关系                        |
| residenceInfo                     | ResidenceInfo类型（下面带residenceInfo前缀的属性都是该类型的属性）                                                       | 居住地信息                            |
| residenceInfo.residenceAddress    | string                                                                                               | 户籍地址                             |
| residenceInfo.homeAddress         | string                                                                                               | 现居住地                             |
| residenceInfo.residenceType       | string, 值为CITY, RURAL 代表城市，农村                                                                        | 户口性质                             |
| currentJobInfo                    | 任职类型（下面带currentJobInfo前缀的属性都是该类型的属性）                                                                 | 当前任职信息                           |
| currentJobInfo.personnelGroupId   | Long                                                                                                 | 人事组ID 必填                         |
| currentJobInfo.legalEntityId      | Long                                                                                                 | 法务实体ID                           |
| currentJobInfo.deptNo             | string                                                                                               | 部门no                             |
| currentJobInfo.locationNo         | string                                                                                               | 区域no                             |
| currentJobInfo.jobClassId         | Long                                                                                                 | 职务ID                             |
| currentJobInfo.jobGradeId         | Long                                                                                                 | 职级ID                             |
| currentJobInfo.dashlineReporterId | Long                                                                                                 | 虚线汇报人ID                          |
| currentJobInfo.type               | string， 值为REGULAR, INTERN, OUTSOURCING, LABOR_WORKER, PARTTIMER, OTHER等，该值可自定义                       | 员工类别                             |
| userDefinedFields                 | map                                                                                                  | 用户自定义字段                          |

### **根据员工ID部分更新员工信息**

| **请求地址**     | **/api/payroll/employees/{employeeId}**/patch                                                                        |
| ------------ |:-------------------------------------------------------------------------------------------------------------------- |
| 返回格式         | JSON                                                                                                                 |
| content-type | application/json                                                                                                     |
| 请求方式         | PUT                                                                                                                  |
| 请求参数         | PATH参数 +  JSON  body                                                                                                 |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/payroll/employees/10030/patch                                                       |
| 接口说明         | 该接口为部分更新员工的信息，对于需要变更的属性，传入对应的属性跟值即可，对于不需要进行变更的属性，不需要传入即可。对于用户自定义字段，需要进行修改的字段名做为KEY，新的值作为value, 不需要修改的字段，不添加到map结构即可。 |

返回值结构为 Employee类型

可更新的员工属性列表  

| 属性                | 类型                      | 说明      |
| ----------------- | ----------------------- | ------- |
| gender            | GENDER， 可选值为MALE，FEMALE | 员工性别    |
| dateOfBirth       | LocalDate               | 出生日期    |
| startWorkingDate  | LocalDate               | 首次参加工作日 |
| disabled          | boolean                 | 是否残疾人   |
| contactInfo       | ContactInfo             | 联系信息    |
| userDefinedFields | map                     | 用户自定义字段 |

 联系信息属性列表

| 属性               | 类型     | 说明        |
| ---------------- | ------ | --------- |
| officeTel        | STRING | 办公室电话     |
| companyEmail     | STRING | 公司邮箱      |
| email            | STRING | 个人邮箱      |
| emergencyContact | STRING | 紧急联系人     |
| ecCellphone      | STRING | 紧急联系人手机号码 |

请求示例，下面的请求将更新员工的gender，companyEmail和自定义字段"自定义字段A“这三个属性的值

```json
{

  "userDefinedFields": {
    "自定义字段A": "333"
  },
  "gender":"MALE",
  "contactInfo":{
       "companyEmail":"abc@163.com"
  } 
}
```

### **根据员工ID获取员工详情**

| **请求地址**     | **/api/payroll/employees/{employeeId}**                  |
| ------------ | -------------------------------------------------------- |
| 返回格式         | JSON                                                     |
| content-type | application/json                                         |
| 请求方式         | GET                                                      |
| 请求参数         | PATH参数                                                   |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/payroll/employees/10030 |

返回值结构为 Employee类型

### **根据员工工号获取员工详情**

| **请求地址**     | **/api/payroll/employees/code/{employeeCode}**                  |
| ------------ | -------------------------------------------------------- |
| 返回格式         | JSON                                                     |
| content-type | application/json                                         |
| 请求方式         | GET                                                      |
| 请求参数         | PATH参数                                                   |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/payroll/employees/code/CXF10030 |

返回值结构为 Employee类型


### **获取员工当次入职周期最后一份合同**

| **请求地址**     | **/api/contract/dContracts/employee/latest/{employeeId}**                  |
| ------------ | -------------------------------------------------------- |
| 返回格式         | JSON                                                     |
| content-type | application/json                                         |
| 请求方式         | GET                                                      |
| 请求参数         | PATH参数                                                   |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/contract/dContracts/employee/latest/10030 |

```json
{
    "id": 219,
    "termType": "NONFIXED_PERIOD",
    "startDate": "2020-05-21",
    "endDate": null,
    "signType": "OFFLINE",
    "docNo": "LD00000215",
    "legalEntity": {
        "id": 67,
        "no": "67",
        "path": "FW47",
        "name": "FW47",
        "enName": null,
        "orgType": "Company",
        "subType": "公司",
        "startDate": "1900-01-01",
        "endDate": "9999-12-31",
        "subTypeId": 548,
        "code": null
    },
    "docType": {
        "id": 1,
        "systemDefault": false,
        "internalCode": null,
        "category": "CONTRACT",
        "name": "劳动合同",
        "signMode": "COMPANY_EMPLOYEE",
        "description": "劳动合同",
        "applySecurityGroup": false,
        "sealType": "OFFICIAL_SEAL",
        "sealTypeDsiplayName": null,
        "datePropertyType": "MANDATORY"
    },
    "doc": {
        "id": 138,
        "docTitle": "刘琳-劳动合同",
        "docNo": "LD00000215",
        "createScene": null,
        "sceneBoId": null,
        "createdDate": "2022-01-26",
        "fileType": "jpg",
        "employeeSignStatus": null,
        "employerSignStatus": null,
        "uploadedForSign": false,
        "signType": "OFFLINE",
        "signMode": "COMPANY_EMPLOYEE",
        "docRef": {
            "tags": null,
            "name": "Picture05.jpg",
            "contentType": null,
            "hashKey": "Fl2LqBE19GbY2Z12x7wS7zGWs57Q",
            "url": "https://cdn.hrsaas.com/Fl2LqBE19GbY2Z12x7wS7zGWs57Q?e=1694502455&token=Sp-MbD5rQQjENG5qycL-DNNl2eCT8yo6IJRA_bwR:HWfO52nTPFTh6SzldxeVT2TIKtc=",
            "downloadUrl": "https://cdn.hrsaas.com/Fl2LqBE19GbY2Z12x7wS7zGWs57Q?e=1694502455&token=Sp-MbD5rQQjENG5qycL-DNNl2eCT8yo6IJRA_bwR:HWfO52nTPFTh6SzldxeVT2TIKtc=&attname=Picture05.jpg",
            "previewUrl": "https://api.yozocloud.cn/checkUrl?k=49085245813476556892246&url=https%3A%2F%2Fcdn.hrsaas.com%2FFl2LqBE19GbY2Z12x7wS7zGWs57Q%3Fe%3D1694502455%26token%3DSp-MbD5rQQjENG5qycL-DNNl2eCT8yo6IJRA_bwR%3AHWfO52nTPFTh6SzldxeVT2TIKtc%3D%26attname%3DPicture05.jpg&noCache=false&type=jpg&isCopy=0"
        },
        "signedDocRef": {
            "tags": null,
            "name": "Picture05.jpg",
            "contentType": null,
            "hashKey": "Fl2LqBE19GbY2Z12x7wS7zGWs57Q",
            "url": "https://cdn.hrsaas.com/Fl2LqBE19GbY2Z12x7wS7zGWs57Q?e=1694502455&token=Sp-MbD5rQQjENG5qycL-DNNl2eCT8yo6IJRA_bwR:HWfO52nTPFTh6SzldxeVT2TIKtc=",
            "downloadUrl": "https://cdn.hrsaas.com/Fl2LqBE19GbY2Z12x7wS7zGWs57Q?e=1694502455&token=Sp-MbD5rQQjENG5qycL-DNNl2eCT8yo6IJRA_bwR:HWfO52nTPFTh6SzldxeVT2TIKtc=&attname=Picture05.jpg",
            "previewUrl": "https://api.yozocloud.cn/checkUrl?k=49085245813476556892246&url=https%3A%2F%2Fcdn.hrsaas.com%2FFl2LqBE19GbY2Z12x7wS7zGWs57Q%3Fe%3D1694502455%26token%3DSp-MbD5rQQjENG5qycL-DNNl2eCT8yo6IJRA_bwR%3AHWfO52nTPFTh6SzldxeVT2TIKtc%3D%26attname%3DPicture05.jpg&noCache=false&type=jpg&isCopy=0"
        },
        "signInvitationSent": null,
        "signRequested": false,
        "signStatus": "SIGNING"
    },
    "leftDays": 2913285,
    "expiredDays": null,
    "imported": true,
    "baseId": null,
    "renewRequest": null,
    "terminated": false,
    "terminateDate": null,
    "contractStatus": "ACTIVE",
    "terminate": null,
    "state": "Archived"
}
```

### **获取员工银行账户列表**

| **请求地址**     | **/api/payroll/bankcards/byEmployee/{employeeId}**                  |
| ------------ | -------------------------------------------------------- |
| 返回格式         | JSON                                                     |
| content-type | application/json                                         |
| 请求方式         | GET                                                      |
| 请求参数         | PATH参数                                                   |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/payroll/bankcards/byEmployee/10030 |

#### 银行卡类型

| **属性**  | **类型** | **说明**          | **举例** |
| ------- | ------ | --------------- | ------ |
| no | string | 部门内部编码 |   EFFESE     |
| positionCode | string | 岗位编码 |   P0001     |
| positionTitle     | string | 岗位名称        |产品经理 
| department | 部门类型 |  |        |
| criticalPosition | boolean | 是否关键岗位 |        |
| initStartDate | 日期 | 岗位开始生效日期 |      
| jobProfile | 职务类型 | 岗位关联的职务 |        ||
| reportToPosition | Position类型 | 该岗位的汇报岗位 |        ||
```json
{
    "totalCount": 2,
    "list": [
        {
            "id": 9308,
            "userDefinedFields": {
                "开户行银联号": "45425"
            },
            "udfCodeNameMap": {},
            "udfLinkedBOMap": {},
            "udfConfigurableEnumMap": {},
            "employeeId": 57438,
            "bankName": "中国工商银行",
            "bankCode": "ICBC",
            "bankCity": "唐山市",
            "bankCityName": "唐山市",
            "bankBranch": "工商支行",
            "bankAccountNo": "132531253215",
            "bankAccountName": "杨大拿",
            "memo": "33",
            "usageType": "PAYROLL_CARD",
            "usageTypeName": "工资卡",
            "bankProvince": null
        },
        {
            "id": 9307,
            "userDefinedFields": {},
            "udfCodeNameMap": {},
            "udfLinkedBOMap": {},
            "udfConfigurableEnumMap": {},
            "employeeId": 57438,
            "bankName": "中国农业银行",
            "bankCode": "ABC",
            "bankCity": "北京市",
            "bankCityName": "北京市",
            "bankBranch": null,
            "bankAccountNo": null,
            "bankAccountName": null,
            "memo": null,
            "usageType": "CORPORATE_CARD",
            "usageTypeName": "商务卡",
            "bankProvince": null
        }
    ]
}
```

### **获取员工教育经历列表**

| **请求地址**     | **/api/payroll/educationalHistories/byEmployee/{employeeId}**                  |
| ------------ | -------------------------------------------------------- |
| 返回格式         | JSON                                                     |
| content-type | application/json                                         |
| 请求方式         | GET                                                      |
| 请求参数         | PATH参数                                                   |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/payroll/educationalHistories/byEmployee/10030 |

```json
{
    "totalCount": 1,
    "list": [
        {
            "id": 560,
            "userDefinedFields": {
                "奖学金": "50000"
            },
            "udfCodeNameMap": {},
            "udfLinkedBOMap": {},
            "udfConfigurableEnumMap": {},
            "employeeId": 57438,
            "employeeCode": "JYS0487",
            "employeeName": "杨大拿",
            "school": "澳门大学",
            "highest": true,
            "startDate": "2019-09-23",
            "endDate": "2023-09-11",
            "credentials": "MASTER",
            "acquiredDate": "2023-09-11",
            "major": "工商管理",
            "degree": "MASTER",
            "studyAbroad": true,
            "studyAbroadCountry": "澳门",
            "mode": "FULL_TIME",
            "degreeAttachments": {
                "attachments": [
                    {
                        "tags": null,
                        "name": "毕业证书.pdf",
                        "contentType": null,
                        "hashKey": "640_1694415175490_517.gif",
                        "url": "https://cdn.hrsaas.com/640_1694415175490_517.gif?e=1694501559&token=Sp-MbD5rQQjENG5qycL-DNNl2eCT8yo6IJRA_bwR:V0OI6CD95oOTWEfBDEXjpRjHeEo=",
                        "downloadUrl": "https://cdn.hrsaas.com/640_1694415175490_517.gif?e=1694501559&token=Sp-MbD5rQQjENG5qycL-DNNl2eCT8yo6IJRA_bwR:V0OI6CD95oOTWEfBDEXjpRjHeEo=&attname=640.gif",
                        "previewUrl": "https://api.yozocloud.cn/checkUrl?k=49085245813476556892246&url=https%3A%2F%2Fcdn.hrsaas.com%2F640_1694415175490_517.gif%3Fe%3D1694501559%26token%3DSp-MbD5rQQjENG5qycL-DNNl2eCT8yo6IJRA_bwR%3AV0OI6CD95oOTWEfBDEXjpRjHeEo%3D%26attname%3D640.gif&noCache=false&type=gif&isCopy=0"
                    }
                ]
            },
            "credentialsCN": "硕士",
            "degreeCN": "硕士",
            "modeCN": "全日制统考"
        }
    ]
}
```