### **入职记录列表**

| **请求地址**     | **/api/payroll/employeeOnboardings**/search |
| ------------ |:------------------------------------------- |
| 返回格式         | JSON                                        |
| content-type | application/json                            |
| 请求方式         | POST                                        |
| 请求参数         | JSON  body                                  |

| 属性      | 类型     | 说明                       |
| ------- | ------ | ------------------------ |
| filter  | String | 过滤条件，请参考ODATA表达式了解表达式规则。 |
| offset  | int    | 分页查询的偏移量                 |
| limit   | int    | 分页页码                     |
| orderby | String | 分页排序字段                   |

返回值结构

| **属性**     | **类型**   | **说明**        |
| ---------- | -------- | ------------- |
| totalCount | long     | 符合条件的入职记录数据总量 |
| list       | 入职信息类型数组 |               |

#### **入职信息类型**

| **属性**                | **类型**    | **说明**                                                          | **举例**                |
| --------------------- | --------- | --------------------------------------------------------------- | --------------------- |
| id                    | long      | 入职流水id                                                          |                       |
| employeeId            | long      | 员工id                                                            |                       |
| employee            | 员工对象      | 请参考员工章节的[员工类型定义](https://doc.hrsaas.com/docs/pass/pass-1einets3knbk4#e6t98n "员工类型定义")                                                            |                       |
| code                  | string    | 员工工号                                                            |                       |
| fullName              | string    | 员工姓名                                                            |                       |
| gender                | string    | 性别                                                              | MALE - 男，FEMALE - 女 男 |
| cellphone             | string    | 入职员工手机号码                                                        |                       |
| status                | string    | 入职状态 （第三方如果要使用该字段，请只关注ONBOARD_DONE,, CANCELLED这两个状态，其他状态可能进行调整） |                       |
| rehire                | boolean   | 是否为再次入职                                                         |                       |
| onboardDate           | LocalDate | 入职日期                                                            |                       |
| onboardLocationNo     | string    | 入职地点内部编号                                                        |                       |
| onboardLocationPath   | string    | 入职地点完整路径                                                        |                       |
| cancelDate            | LocalDate | 取消入职的日期                                                         |                       |
| physicalExamWay       | string    | 体检方式，有效值为APPOINTMENT（代表要预约）和UPLOAD（代表上传有效体检报告）                  |                       |
| declaration.statement | string    | 入职申明                                                            |                       |
| conflictOfInterest    | string    | 利益冲突申报                                                          |                       |
| onboardingJobInfo     | 任职类型      | 待入职员工的任职信息                                                      |                       |
| probationInfo         | 试用期信息类型   |                                                                 |                       |

#### **试用期信息类型**

| **属性**            | **类型**    | **说明** | **举例**     |
| ----------------- | --------- | ------ | ---------- |
| hasProbation      | boolean   | 是否有试用期 |            |
| becomeRegularDate | LocalDate | 计划转正日期 | 2022-09-01 |

#### 接口调用场景举例

##### 获取所有待入职记录

```json
{"filter":"status ne 'CANCELLED' and status ne 'ONBOARD_DONE'";
 "offset":0,
 "limit":20,
 "orderby":"id desc"
}
```

##### 获取2022年6月1日入职的待入职记录

```json
{"filter":"status ne 'CANCELLED' and status ne 'ONBOARD_DONE' and onboardDate eq '2022-06-01' ";
 "offset":0,
 "limit":20,
 "orderby":"id desc"
}
```

如获取当前待入职记录，可以拼接filter 为 status ne 'CANCELLED'  and status ne 'ONBOARD_DONE'. 如获取2022年6月1日待入职记录，可以拼接filter 为 status ne 'CANCELLED'  and status ne 'ONBOARD_DONE' and onboardDate  eq '2022-06-01'


### **根据入职流水ID获取入职信息**

| **请求地址**     | https://open.hrsaas.com/api/payroll/employeeOnboardings/{employeeOnboardingId} |
| ------------ | ------------------------------------------------------------------------------ |
| 返回格式         | JSON                                                                           |
| content-type | application/json                                                               |
| 请求方式         | GET                                                                            |
| 请求参数         | PATH 参数                                                                        |
| 返回值          | 入职信息类型                                                                         |
| 请求举例         | https://open.hrsaas.com/api/payroll/employeeOnboardings/3466764                |