### **根据员工任职id信息获取任职信息**

| **请求地址**     | **https://open.hrsaas.com/api/payroll/jobInfo/{jobInfoId}** |
| ------------ | ----------------------------------------------------------- |
| 返回格式         | JSON                                                        |
| content-type | application/json                                            |
| 请求方式         | GET                                                         |
| 请求参数         | PATH 参数                                                     |
| 返回值          | 任职类型                                                        |
| 请求举例         | https://open.hrsaas.com/api/payroll/jobInfo/31756           |

返回值举例

```json
{
  "id": 31756,
  "version": 6,
  "bizDisabled": false,
  "maskedSysFields": [],
  "maskedUdfFields": [],
  "userDefinedFields": {
    "财务部门": null
  },
  "udfLinkedBOMap": {},
  "startDate": "2012-07-09",
  "endDate": "9999-12-31",
  "locked": false,
  "relatedProcessId": null,
  "ongoingProcessId": null,
  "ownerId": 20714,
  "ownerCode": "SH00040",
  "ownerName": "闻晶晶2",
  "personnelGroupId": 7,
  "personnelGroupName": "默认人事组",
  "legalEntityId": 4,
  "legalEntityName": "橘子科技（上海）有限公司",
  "legalEntityCode": null,
  "deptId": 387,
  "deptNo": "5b6f8202e4b0780b33390990",
  "departmentName": "产品研发部",
  "departmentPath": "橘子科技集团公司/产品研发部",
  "managerId": 14200,
  "managerName": "夏晶品",
  "jobCategoryId": null,
  "jobClassId": null,
  "jobClassName": null,
  "title": "SSE",
  "type": "REGULAR",
  "typeCN": "正式员工",
  "jobGradeSeriesId": null,
  "jobGradeId": null,
  "jobGradeCode": null,
  "superiorId": null,
  "superiorCode": null,
  "superiorName": null,
  "dashlineReporterId": null,
  "dashlineReporterCode": null,
  "dashlineReporterName": null,
  "costCenter": null,
  "startDateWrapper": null,
  "memo": null,
  "fte": 1.00,
  "updateOngoingProcessId": null,
  "employeeStatus": "ONBOARD"
}
```

### **查询主岗任职信息**

| **请求地址**     | **https://open.hrsaas.com/api/payroll/jobInfo/search** |
| ------------ | ----------------------------------------------------------- |
| 返回格式         | JSON                                                        |
| content-type | application/json                                            |
| 请求方式         | POST                                                         |  
| 请求传参         | JSON body                                                       | |

请求参数说明

| **参数**  | **类型** | **说明**                  | **举例**                                 | **必选** |
| ------- | ------ | ----------------------- | -------------------------------------- | ------ |
| offset  | int    | 分页查询的偏移量                | 0                                      | No    |
| limit   | int    | 分页页码                    | 20                                     | No    |
| orderby | string | 分页排序字段                  | startDate desc                                | No    |
| filter  | string | 过滤条件，请参考ODATA表达式了解表达式规则 | owner.id eq 34434 | No     |
| keyword | string |            |                                      | No     |

返回值结构

| **属性**     | **类型** | **说明**      |
| ---------- | ------ | ----------- |
| totalCount | long   | 符合查询条件的数据总量 |
| list       | 任职信息数组 | 员工任职信息数组      |


### **获取员工的所有兼岗信息**

| **请求地址**     | **https://open.hrsaas.com/api/payroll/jobInfo/additional/employee/{employeeId}** |
| ------------ | ----------------------------------------------------------- |
| 返回格式         | JSON                                                        |
| content-type | application/json                                            |
| 请求方式         | GET                                                         |
| 请求参数         | PATH 参数, QUERY参数                                                     |
| 返回值          | 兼岗任职信息数组                                                        |
| 请求举例         | https://open.hrsaas.com/api/payroll/jobInfo/additional/employee/145666           |

| **参数**    | **类型** | **说明**                                                               | **举例**                   | **必选** |
| --------- | ------ | -------------------------------------------------------------------- | ------------------------ | ------ |
| employeeId   | Long | 员工ID, 该参数为PATH参数   | 14566     | YES
| date      | 日期类型   | 指定查看哪一天的兼岗， 默认为当天                                                  | 2023-03-01               | NO     |

**兼岗任职信息类型**

| **字段**      | **类型**    | **说明**             |
| ----------- | --------- | ------------------ |
| no          | string      | 兼岗内部编号，具有全局唯一性 |
| planEndDate     | 日期类型    | 预计兼岗结束时间              |
| ownerId    | Long | 员工ID          |
| legalEntityId | Long   | 兼岗所属法务实体           |
| deptNo | string   | 兼岗部门          |
| locationNo | string   | 兼岗工作地           |
| jobClassId | Long   | 兼岗职务ID           |
| costCenterNo | string   | 兼岗归属成本中心           |
| superiorId | Long   | 兼岗在直接指定汇报人的情况下的直接汇报人          |
| superiorJobNo | string   | 兼岗在直接指定汇报人的情况，如果是汇报给汇报人的兼岗，则该值指定了兼岗的no           |