[TOC]


## **获取学历等级类型定义**

| **请求地址**     | /api/payroll/configurableMasterData/AcademicCredentialsType |
| ------------ | ------------------------------------------------ |
| 返回格式         | JSON                                             |
| content-type | application/json                                 |
| 请求方式         | GET                                              |

返回值结构

| **属性**     | **类型** | **说明** |
| ---------- | ------ | ------ |
| totalCount | long   | 学历等级类型总数 |
| list       | 学历等级类型数组   | 所有定义的学历等级类型 |

学历等级类型

| **属性** | **类型** | **说明** |
| ------ | ------ | ------ |
| code   | string | 学历等级类型代码 |
| name   | string | 类型名称   |


## **获取某位员工的教育经历列表**

| **请求地址**     | /api/payroll/educationalHistories/byEmployee/员工ID |
| ------------ | ------------------------------------------------ |
| 返回格式         | JSON                                             |
| content-type | application/json                                 |
| 请求方式         | GET                                              |
| 返回类型         | 返回 JSON 对象                               |

返回值结构

| **属性**     | **类型** | **说明** |
| ---------- | ------ | ------ |
| totalCount | Long   | 教育经历对象总数 |
| list       | Array  | 教育经历对象数组 |

### 教育经历对象结构

| **属性**     | **类型** | **说明** |
| ---------- | ------ | ------ |
|employeeId|Long|员工 ID|
|employeeCode|String|员工工号|
|employeeName|String|员工姓名|
|highest|boolean|是否最高学历|
|school|String|院校|
|major|String|专业|
|credentials|ConfigurableEnum|学历等级|
|credentialsCN|String|学历等级中文|
|degree|ConfigurableEnum|学位|
|degreeCN|String|学位中文|
|mode|ConfigurableEnum|教育形式|
|modeCN|String|教育形式中文|
|acquiredDate|LocalDate|获取时间|
|startDate|LocalDate|开始日期|
|endDate|LocalDate|结束日期|
|studyAbroad|boolean|是否海外院校|
|studyAbroadCountry|String|留学国家/地区|
|degreeAttachments|AttachmentRefs|学历附件|
|grantedSchool|String|授予院校|
|grantedCountry|String|授予国家/地区|