[TOC]


#### **新增组织事件**

| **事件编码**       | **HRM.MasterData.Organization.New** |
| -------------- | ----------------------------------- |
| 事件属性字段         | 说明                                  |
| startDate      | 生效时间，日期类型                           |
| orgName        | 组织名称                                |
| organizationNo | 组织的技术编号                             |
| orgType        | 组织类型，可以根据组织类型判定是部门还是Location        |
| parentNo       | 新增组织的父组织技术编号                        |

#### **新增组织生效**

| **事件编码**       | **HRM.MasterData.Organization.New.TakeEffect** |
| -------------- | ---------------------------------------------- |
| 事件属性字段         | 说明                                             |
| startDate      | 生效时间，日期类型                                      |
| organizationNo | 组织的技术编号                                        |
| orgType        | 组织类型，可以根据组织类型判定是部门还是Location                   |
| parentNo       | 新增组织的父组织技术编号                                   |

#### **组织封存**

| **事件编码**       | **HRM.MasterData.Organization.Disable** |
| -------------- | --------------------------------------- |
| 事件属性字段         | 说明                                      |
| disableDate    | 封存时间                                    |
| organizationNo | 组织的技术编号                                 |
| orgType        | 组织类型，可以根据组织类型判定是部门还是Location            |

#### **组织封存生效**

| **事件编码**       | **HRM.MasterData.Organization.Disable.TakeEffect** |
| -------------- | -------------------------------------------------- |
| 事件属性字段         | 说明                                                 |
| startDate      | 生效时间                                               |
| organizationNo | 组织的技术编号                                            |
| orgType        | 组织类型，可以根据组织类型判定是部门还是Location                       |

#### **组织解封**

| **事件编码**       | **HRM.MasterData.Organization.Enable** |
| -------------- | --------------------------------------- |
| 事件属性字段         | 说明                                      |
| startDate    | 解封生效时间                                    |
| organizationNo | 组织的技术编号                                 |
| orgType        | 组织类型，可以根据组织类型判定是部门还是Location            |

#### **组织解封生效**

| **事件编码**       | **HRM.MasterData.Organization.Enable.TakeEffect** |
| -------------- | -------------------------------------------------- |
| 事件属性字段         | 说明                                                 |
| startDate      | 解封生效时间                                               |
| organizationNo | 组织的技术编号                                            |
| orgType        | 组织类型，可以根据组织类型判定是部门还是Location                       |

#### **组织移动**

| **事件编码**       | **HRM.MasterData.Organization.Move** |
| -------------- | ------------------------------------ |
| 事件属性字段         | 说明                                   |
| startDate      | 生效时间                                 |
| organizationNo | 组织的内部编号                              |
| newParentNo    | 新的父组织的内部编号                           |
| parentNo       | 原父组织的内部编号                            |
| orgType        | 组织类型，可以根据组织类型判定是部门还是Location         |

#### **组织移动生效**

| **事件编码**                | **HRM.MasterData.Organization.Move.TakeEffect** |
| ----------------------- | ----------------------------------------------- |
| 事件属性字段                  | 说明                                              |
| startDate               | 生效时间                                            |
| organizationNo          | 组织的技术编号                                         |
| newParentOrganizationNo | 新的父组织的技术编号                                      |
| orgType                 | 组织类型，可以根据组织类型判定是部门还是Location                    |

#### **组织作废删除**
该事件会在组织取消新增后触发

| **事件编码**                | **HRM.MasterData.Organization.DELETED** |
| ----------------------- | ----------------------------------------------- |
| 事件属性字段                  | 说明                                              |
| orgType               | 组织类型                                            |
| organizationNo          | 组织的技术编号                                         |
| startDate | 被取消的组织的开始生效日期                                      |

#### **业务角色分配生效**

组织RoleAssignment变更生效

| **事件编码**       | **HRM.MasterData.Organization.RoleAssignment.TakeEffect** |
| -------------- | --------------------------------------------------------- |
| 事件属性字段         | 说明                                                        |
| startDate      | 生效时间                                                      |
| organizationNo | 组织的内部编号                                                   |
| orgType        | 组织类型，可以根据组织类型判定是部门还是Location                              |
| assignments    | RoleAssignment数组对象，为当前生效的业务角色赋值信息                         |

#### **业务角色分配取消事件**

组织RoleAssignment变更生效

| **事件编码**       | **HRM.MasterData.Organization.RoleAssignment.Cancelled** |
| -------------- | --------------------------------------------------------- |
| 事件属性字段         | 说明                                                        |
| startDate      | 生效时间                                                      |
| organizationNo | 组织的内部编号                                                   |
| orgType        | 组织类型，可以根据组织类型判定是部门还是Location                              |
| roleAssignment    | RoleAssignment对象，为被取消的业务角色赋值信息        |

#### **组织OrganizationAssignment变更生效**

| **事件编码**       | **HRM.MasterData.Organization.OrganizationAssignment.TakeEffect** |
| -------------- | ----------------------------------------------------------------- |
| 事件属性字段         | 说明                                                                |
| startDate      | 生效时间                                                              |
| organizationNo | 组织的内部编号                                                           |
| orgType        | 组织类型，可以根据组织类型判定是部门还是Location                                      |

#### **组织信息变更生效**

| **事件编码**       | **HRM.MasterData.Organization.Update.TakeEffect** |
| -------------- | ------------------------------------------------- |
| 事件属性字段         | 说明                                                |
| startDate      | 生效时间                                              |
| organizationNo | 组织的内部编号                                           |
| orgType        | 组织类型，可以根据组织类型判定是部门还是Location                      |

对于变更后的组织信息，根据生效时间去拿组织详情就可以了