[TOC]

#### **新增员工事件**

| **事件编码** | **HRM.MasterData.Employee.CREATED**                                                                |
| -------- | -------------------------------------------------------------------------------------------------- |
| 事件属性字段   | 说明                                                                                                 |
| boId     | long类型 员工的ID，系统内部唯一                                                                                |
| 事件结构举例   | { "boEventType": "CREATED", "boName": "Employee", "boNamespace": "HRM.MasterData", "boId": 22476 } |

#### **员工信息更新事件**

| **事件编码** | **HRM.MasterData.Employee.UPDATED**                                                                |
| -------- | -------------------------------------------------------------------------------------------------- |
| 事件属性字段   | 说明                                                                                                 |
| boId     | long类型 员工的ID，系统内部唯一                                                                                |
| 事件结构举例   | { "boEventType": "UPDATED", "boName": "Employee", "boNamespace": "HRM.MasterData", "boId": 22476 } |


#### **员工离职生效事件**

| **事件编码**          | **Masterdata.Employee.QuitEffective**                                         |
| ----------------- | ----------------------------------------------------------------------------- |
| 事件属性字段            | 说明                                                                            |
| employeeId        | long类型 离职员工id                                                                 |
| terminationInfoId | long类型 离职信息id                                                                 |
| retirementInfoId | long类型 退休信息id ，如果不是因为退休做的离职，该值为NULL                                                               |
| lastWorkingDate   | LocalDate 最后工作日                                                               |
| hasFutureOnboard   | Boolean 是否存在将来二次入职                                                              |
| 事件结构举例            | { employeeId: 22479, hasFutureOnboard: false, lastWorkingDate: '2020-10-01', terminationInfoId: 6693 } |

#### **取消已生效的员工离职事件**

| **事件编码**          | **HRM.MasterData.Employee.CancelEffectiveTermination**                                         |
| ----------------- | ----------------------------------------------------------------------------- |
| 事件属性字段            | 说明                                                                            |
| employeeId        | long类型 离职员工id                                                                 |
| terminationInfoId | long类型 离职信息id                                                                 |
| retirementInfoId | long类型 退休信息id，如果不是因为退休做的离职，该值为NULL                                                               |
| lastWorkingDate   | LocalDate 最后工作日                                                               |
| 事件结构举例            | { employeeId: 22479, lastWorkingDate: '2020-10-01', terminationInfoId: 6693 } |

#### **新增员工待入职事件**

| **事件编码**       | Masterdata.Employee.Onboarding |
| -------------- | ------------------------------ |
| 事件属性字段         | 说明                             |
| employeeId     | long类型 员工id                    |
| employeeUserId | string类型 用户ID                  |
| onboardingId   | 入职流水ID                         |

#### **待入职员工信息确认事件**

| **事件编码**       | Masterdata.Employee.Onboarding.InfoConfirmed |
| -------------- | -------------------------------------------- |
| 事件属性字段         | 说明                                           |
| employeeId     | long类型 员工id                                  |
| employeeUserId | string类型 用户ID                                |
| onboardingId   | 入职流水ID                                       |

#### **待入职预计入职日期变更事件**

| **事件编码**       | HRM.MasterData.EmployeeOnboarding.planOnboardDateChanged |
| -------------- | -------------------------------------------- |
| 事件属性字段         | 说明                                           |
| employeeId     | long类型 员工id                                  |
| employeeOnboardingId | long类型 入职流水ID                                |
| oldOnboardDate   | 日期类型  原预计入职日期                                       |
| onboardDate   | 日期类型  新预计入职日期                                           |

#### **员工入职**

待入职转正式入职事件

| **事件编码**         | **Masterdata.Employee.Onboard** |
| ---------------- | ------------------------------- |
| 事件属性字段           | 说明                              |
| employeeId       | long类型 员工id                     |
| onboardDate      | LocalDate类型 入职时间                |
| onboardJobInfoId | 入职流水ID                          |

#### **待入职取消事件**

| **事件编码**       | Masterdata.Employee.CancelOnboard |
| -------------- | --------------------------------- |
| 事件属性字段         | 说明                                |
| employeeId     | long类型 员工id                       |
| employeeUserId | string类型 用户ID                     |
| onboardingId   | 入职的任职信息id                         |

#### **员工关键信息变更事件**

| **事件编码**       | **Masterdata.Employee.KeyInfoChanged**                                                                                                                      |
| -------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------- |
| 事件属性字段         | 说明                                                                                                                                                          |
| employeeId     | long类型 员工id                                                                                                                                                 |
| newMobilePhone | string 新手机号码                                                                                                                                                |
| newFullName    | string 新的全名称                                                                                                                                                |
| newCode        | string 新员工工号                                                                                                                                                |
| 事件结构举例         | { employeeId: 20669.0, oldMobilePhone: '10000000001', newMobilePhone: '10000000001', oldFullName: 李林, newFullName: 李林, oldCode: '00002', newCode: '11427' } |

#### **员工转正生效事件**

| **事件编码**             | **Masterdata.Employee.BecomeRegular** |
| -------------------- | ------------------------------------- |
| 事件属性字段               | 说明                                    |
| employeeId           | long类型 员工id                           |
| regularizationInfoId | long类型  转正信息id                        |
| becomeRegularDate    | LocalDate类型   转正日期                    |