[TOC]

#### **员工任职信息生效事件**

| **事件编码**  | **Masterdata.JobInfo.TakeEffect**             |
| --------- | --------------------------------------------- |
| 事件属性字段    | 说明                                            |
| jobInfoId | long类型 员工的岗位ID，系统内部唯一                         |
| startDate | LocalDate类型 岗位生效时间                            |
| employeeId | long类型 任职信息所属员工ID                            |
| additionalJob | boolean类型 是否兼岗                           |
| jobInfoNo | string类型 兼岗内部唯一编号，为兼岗时才有值                         |
| 事件结构举例    | {jobInfoId: 32898.0, startDate: '2020-10-01'} |

#### **员工任职信息调整事件**

| **事件编码**               | Masterdata.Employee.JobInfoAdjusted |
| ---------------------- | ----------------------------------- |
| 事件属性字段                 | 说明                                  |
| jobInfoChangeRequestId | 岗位变更请求ID                            |
| employeeId             | 员工ID                                |
| originJobInfoId        | 原任职信息ID                             |
| newJobInfoId           | 变更产生的新任职信息ID                        |
| isLegalEntityChanged   | 是否跨公司调动                             |

#### **员工任职信息修订事件**

| **事件编码**          | Masterdata.Employee.JobInfoRevised |
| ----------------- | ---------------------------------- |
| 事件属性字段            | 说明                                 |
| jobInfoId         | long类型 被修订的岗位信息id                  |
| originalStartDate | 岗位信息原始的开始生效时间                      |
| employeeId        | 员工ID                               |


#### **员工兼岗结束生效事件**
| **事件编码** | **Masterdata.JobInfo.Additional.Ended.TakeEffect**                                                                    |
| -------- | ------------------------------------------------------------------------------------------------------------- |
| 事件属性字段   | 说明                                                                                                           |
| jobInfoNo     | string类型 兼岗no,系统内部唯一                                                                                            |
| endDate     | 日期类型 ，兼岗结束日期                                                                                           |
| employee     | long类型 员工ID，系统内部唯一                                                                                            |
| jobInfoChangeRequestId     |   兼岗结束变更ID                                                                                         |

#### **主岗或兼岗汇报人更新事件**

| **事件编码**             | **HRM.MasterData.Employee.LineReporterChanged** |
| -------------------- | ------------------------------------- |
| 事件属性字段               | 说明                                    |
| additionalJob           | boolean类型 是否兼岗                         |
| additionalJobNo | string类型  如果是兼岗，兼岗的内部编号，如果是主岗，该字段无值                        |
| employeeIds    | Long数组类型  在该岗位上的员工ID（可以是多个员工）                     |