[TOC]

#### 流程发起事件

| **事件编码** | **HRM.WORKFLOW.PROCESS_STARTED**                                                        |
| -------- | ----------------------------------------------------------------------------------------------------------- |
| 事件属性字段   | 说明                                                                                                          |
| workflowType     | STRING类型，流程类型，比如离职流程的workflowType值为TERMINATION                                                                                  |
| processInstanceId     | STRING类型，流程实例ID                                                                                     |
| applicantEmployeeId     | LONG类型，流程对应的申请员工id，比如“离职流程”该值对应发起离职申请的员工的ID；如果流程无对应的申请员工，则该值为空，比如“新增岗位申请”。                                                                                     |
| baseBOId     | LONG类型，流程对应的业务请求对象id                                                                                     |
| 事件结构举例   |  |

#### 流程结束事件

| **事件编码** | **HRM.WORKFLOW.PROCESS_COMPLETED**                                                        |
| -------- | ----------------------------------------------------------------------------------------------------------- |
| 事件属性字段   | 说明                                                                                                          |
| workflowType     | STRING类型，流程类型                                                                                     |
| processInstanceId     | STRING类型，流程实例ID                                                                                     |
| applicantEmployeeId     | LONG类型，流程对应的申请员工id，比如“离职流程”该值对应发起离职申请的员工的ID；如果流程无对应的申请员工，则该值为空，比如“新增岗位申请”。                                                                                     |
| baseBOId     | LONG类型，流程对应的业务请求对象id                                                                                     |
| approvalStatus     | STRING类型，流程审批状态，值为“TO_BE_APPROVED”，“APPROVED”，“REJECTED”，“CANCEL”，“BACK”，“DONE”                                                                                    |
| 事件结构举例   |  |

#### 流程取消事件

| **事件编码** | **HRM.WORKFLOW.PROCESS_CANCELLED**                                                        |
| -------- | ----------------------------------------------------------------------------------------------------------- |
| 事件属性字段   | 说明                                                                                                          |
| workflowType     | STRING类型，流程类型                                                                                     |
| processInstanceId     | STRING类型，流程实例ID                                                                                     |
| applicantEmployeeId     | LONG类型，流程对应的申请员工id，比如“离职流程”该值对应发起离职申请的员工的ID；如果流程无对应的申请员工，则该值为空，比如“新增岗位申请”。                                                                                     |
| baseBOId     | LONG类型，流程对应的业务请求对象id                                                                                     |                                                                             |
| 事件结构举例   |  |

### 流程类型
| 流程类型代码  | 流程类型名称  |
| ------------ | ------------ |
| LEAVE_REQUEST |  请假申请 |
|  OT_REQUEST |  加班申请 |
|  ATTENDANCE_REQUEST |  出勤申请 |