### 批量员工排班

| 请求地址         | https://open.hrsaas.com/api/attendance/employeeWorkSchedules/batch |
| ------------ | --------------------------------------------------------------------- |
| 返回格式         | JSON                                                                  |
| content-type | application/json                                                      |
| 请求方式         | POST                                                                  |
| 请求参数         | 批量员工排班                                                                |
| 返回值          |批量员工排班返回值                                                                  |
| 备注           |  每个批次最多支持**100**个人天排班                                                                     |

#### 批量员工排班

|名称|位置|类型|必选|中文名|说明|
|---|---|---|---|---|---|
|» schedules|body|[object]| 是 | 员工排班列表||
|»» employeeId|body|integer| 是 | 员工ID||
|»» date|body|string| 是 | 日期||
|»» flex|body|boolean| 否 | 是否为灵活排班||
|»» workShiftId|body|integer| 否 | 班次ID||
|»» fleShiftName|body|string| 否 | 灵活班次名称||
|»» flexShiftOff|body|boolean| 否 | 是否为灵活休息班次||
|»» flexShiftMemo|body|string| 否 | 灵活班次备注||
|»» flexShiftTimeSlots|body|[object]| 否 | 灵活班次时间段||
|»»» startTime|body|string| 否 | 开始时间|格式："09:00:00"|
|»»» endTime|body|string| 否 | 结束时间|格式："18:00:00"|
|»»» startDate|body|string| 否 | 开始日期|CURRENT: 当日; NEXT: 次日|
|»»» endDate|body|string| 否 | 结束日期|CURRENT: 当日; NEXT: 次日|
|»» userDefinedFields|body|object| 否 | 自定义字段内容|none|

#### 示例

```
{
  "schedules": [
    {
      "employeeId": 6806,
      "date": "2023-08-23",
      "workShiftId": 146
    },
    {
      "employeeId": 6806,
      "date": "2023-08-24",
      "workShiftId": 146
    },
    {
      "employeeId": 6797,
      "date": "2023-08-11",
      "flex": true,
      "fleShiftName": "早班",
      "flexShiftOff": false,
      "flexShiftMemo": "灵活早班",
      "flexShiftTimeSlots":
      [
        {
          "startTime": "06:00:00",
          "endTime": "15:00:00",
          "startDate": "CURRENT",
          "endDate": "CURRENT"
        }
      ]
    }
  ]
}
```

#### 返回值

|名称|类型|必选|约束|中文名|说明|
|---|---|---|---|---|---|
|» results|[object]|true|none|排班结果||
|»» employeeId|integer|false|none|员工ID||
|»» date|string|false|none|日期||
|»» succeed|boolean|false|none|是否成功||
|»» message|string|false|none|错误信息||

#### 示例

```
{
    "results":
    [
        {
            "employeeId": 6806,
            "date": "2023-08-01",
            "succeed": true,
            "message": null
        },
        {
            "employeeId": 6806,
            "date": null,
            "succeed": false,
            "message": "【夜班】班次不属于【常规部门排班组】排班组指定的班次"
        }
    ]
}
```