### 假勤申请



| 请求地址         | https://open.hrsaas.com/api/attendance/attendanceRequests/integration |
| ------------ | --------------------------------------------------------------------- |
| 返回格式         | JSON                                                                  |
| content-type | application/json                                                      |
| 请求方式         | POST                                                                  |
| 请求参数         | 假勤申请数据                                                                |
| 返回值          | 无返回值                                                                  |
| 备注           |       写入单个假勤申请                                                                |

<br><br>

### 批量假勤申请

| 请求地址         | https://open.hrsaas.com/api/attendance/attendanceRequests/batch/integration |
| ------------ | --------------------------------------------------------------------- |
| 返回格式         | JSON                                                                  |
| content-type | application/json                                                      |
| 请求方式         | POST                                                                  |
| 请求参数         | 假勤申请数据列表                                                                |
| 返回值          | 批量假勤申请返回                                                              |
| 备注           |            写入多个假勤申请  一次性全部成功或者一次性全部失败                                                            |

<br><br>
#### 批量假勤申请返回

|名称|类型|说明|
|---|---|---|
|errorCode|String|错误编码|
|errorMessage|String|错误信息|
|warningMessages|string|警告信息|
|informationMessages|string|通知信息|
|confirmMessages|string|确认信息|
|body|Object|返回体|

<br><br>

#### 写入假勤申请数据

| **属性**             | **类型**        | **说明**            | **举例**              | **必选**          |
| ------------------ | ------------- | ----------------- | ------------------- | --------------- |
| employeeCode       | String        | 工号                | ZXE0301             | 是               |
| startDateTime      | LocalDateTime | 开始时间              | 2020-09-07T09:00:00 | 是               |
| endDateTime        | LocalDateTime | 结束时间              | 2020-09-09T18:00:00 | 是               |
| attendanceDays     | BigDecimal    | 时长（天），由假勤定义的单位确定  | 3.0                 | 如果假勤定义单位是天，则必填  |
| attendanceHours    | BigDecimal    | 时长（小时），由假勤定义的单位确定 | 2.0                 | 如果假勤定义单位是小时，则必填 |
| attendanceTypeName | String        | 假勤类型              | 出差                  | 是               |
| exSystemId         | String        | 外部系统唯一标识          | zx_id_0203          | 是               |
| cancelled          | boolean       | 是否要撤销该申请          | false               | 是               |
| note               | String        | 请假说明              | 身体不适                | 否               |
| userDefinedFields  | Object        | 扩展字段              |                     |                 |
| 事由                 | String        | 事由                | 出差事由                | 根据扩展字段定义确定      |
| 类型                 | String        | 类型                | 国内                  | 根据扩展字段定义确定      |

<br><br>

#### 示例

```
请求体
{
  "startDateTime": "2020-09-07T09:00:00",
  "endDateTime": "2020-09-09T18:00:00",
  "attendanceDays": 3.0,
  "attendanceHours": 0.0,
  "attendanceTypeName": "出差",
  "employeeCode": "ZXC0001",
  "exSystemId": "zx_id_0203",
  "cancelled": false,
  "note": "身体不适",
  "userDefinedFields":{
      "事由": "出差事由",
      "类型": "国内"
  }
}
```

```
响应体
{
    "errorCode": null,
    "errorMessage": null,
    "warningMessages": null,
    "informationMessages": null,
    "confirmMessages": null,
    "body": {
        "errors": []
    }
}

{
    "errorCode": "P200B02159",
    "errorMessage": "批量创建假勤申请失败：[{\"exSystemId\":\"zx_id_0203asdadasaadsdad\",\"errorCode\":\"P200B01129\",\"error\":\"已申请了2025-04-16 09:00至2025-04-16 10:00事假，请重新选择\"}]",
    "warningMessages": null,
    "informationMessages": null,
    "confirmMessages": null,
    "body": null
}
{
    "errors": [
        {
            "exSystemId": " ",
            "errorCode": " ",
            "error": " "
        }
    ]
}
```

<br><br>

#### 获取假勤申请数据
| 请求地址         | https://open.hrsaas.com/api/attendance/attendanceRequests/{id} |
| ------------ | --------------------------------------------------------------------- |
| 返回格式         | JSON                                                                  |
| content-type | application/json                                                      |
| 请求方式         | GET                                                                  |
| 请求参数         | 假勤申请ID                                                                |
| 返回值          | 假勤申请记录                                                                  |
| 备注           |                                                                       |


<br><br>

#### 假勤申请记录

| **属性**             | **类型**        | **说明**            | **举例**              |
| ------------------ | ------------- | ----------------- | ------------------- |
| attendanceCategory       | String        | 申请类别（OVERTIME - 加班, LEAVE - 请假, ATTENADNCE - 出勤)| LEAVE |
| attendanceTypeName | String | 申请类型 |  年假 |
|  startDateTime | LocalDateTime | 开始日期时间  | 2024-02-18T09:00:00.000  |
|  endDateTime | LocalDateTime | 结束日期时间 |  2024-02-18T18:00:00.000 |
|  attendanceDays | BigDecimal | 申请时长（天）  | 1  |
|  attendanceHours | BigDecimal | 申请时长（小时）  | 1  |
| strDuration | String |  申请时长（含单位） | 1天  |
| employeeCode       | String        | 工号                | ZXE0301             |
| employeeName | String |  姓名 | 张三  |
| status  | String | 状态（APPROVED - 已批准, TO_BE_APPROVED - 审批中, REJECTED - 驳回, CANCEL - 取消）|  APPROVED |
|cancelled| Boolean | 申请是否已取消 |  false |


<br><br>