[TOC]

### 根据报表ID运行报表并获取报表数据

| 请求地址         | /api/report/reports/{reportId}                                   |
| ------------ | ------------------------------------------------------------------ |
| 返回格式         | JSON                                                               |
| content-type | application/json                                                   |
| 请求方式         | GET                                                                |
| 请求参数         | PATH参数+Query参数                                                     |
| 返回值          | 报表数据                                                               |                       |
| 举例           | /api/reports/12345?offset=0&limit=10&payrollGroupId=3433&year=2021 |

| **参数**   | **类型** | 参数说明            | **举例** | **必选** |
| -------- | ------ | --------------- | ------ | ------ |
| reportId | long   | PATH参数，报表ID     |        | YES    |
| offset   | int    | QUERY参数， 起始行偏移值 | 0      | NO     |
| limit    | int    | QUERY参数，最大返回值   | 100    | NO     |

报表定义的其他参数请通过query参数的形式传递过来

#### **报表数据类型**

| **属性**     | **类型**   | **说明** | **举例** |
| ---------- | -------- | ------ | ------ |
| totalCount | long     | 报表数据行数 |        |
| headers | string[]     | 报表头信息 |        |
| resultSet  | Object[] | 对象数组   |        |

### 根据报表名运行报表并获取报表数据

| 请求地址         | /api/report/reports/runReportByName/{reportName}                                   |
| ------------ | ------------------------------------------------------------------ |
| 返回格式         | JSON                                                               |
| content-type | application/json                                                   |
| 请求方式         | GET                                                                |
| 请求参数         | PATH参数+Query参数                                                     |
| 返回值          | 报表数据                                                               |                       |
| 举例           | /api/reports/runReportByName/社保信息?offset=0&limit=10&payrollGroupId=3433&year=2021 |

| **参数**   | **类型** | 参数说明            | **举例** | **必选** |
| -------- | ------ | --------------- | ------ | ------ |
| reportName | string   | PATH参数，报表名称    |        | YES    |
| offset   | int    | QUERY参数， 起始行偏移值 | 0      | NO     |
| limit    | int    | QUERY参数，最大返回值   | 100    | NO     |

报表定义的其他参数请通过query参数的形式传递过来