[TOC]

## 招聘职位同步

### 外部系统推送招聘职位

| 请求地址         | /api/recruitment/recruitJobs/externalPush                           |
| ------------ | -------------------------------------------------------- |
| 返回格式         | JSON                                                     |
| content-type | application/json                                         |
| 请求方式         | POST                                                     |
| 请求参数         | JSON body                                                |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/recruitment/recruitJobs/externalPush |
| 接口说明         | 该接口为外部系统推送招聘职位到稳赢云招聘模块接口，接口根据externalRecordId和externalSource字段做幂等性判断          |

body参数说明

#### 招聘职位

| 属性               | 类型                                              | 说明      | 是否必填      |
| ---------------- | ----------------------------------------------- | ------- | -------      |
| code             | STRING                                          | 职位编号    | 否      |
| name             | STRING                                          | 职位名称    | 是 |
| deptNo           | STRING                                          | 所属部门编号  | 是 |
| type             | STRING 可选值 FULLTIME（全职）、PARTTIME（兼职）、INTERN（实习） | 职位性质    |  是 |
| setting          | 职位设置                                            | 职位设置    |  是 |
| stakeholders     | 招聘相关负责人                                         | 招聘相关负责人 |  是 |
| category         | STRING                                          | 职位类别    |  否 |
| workAge          | 工作经验对象                                          | 工作经验    |   否 |
| salaryRange      | 薪资范围对象                                          | 薪资范围    |  否 |
| headCount        | INT                                             | 招聘人数    |  否 |
| jobGrades        | STRING 数组，可选值可配置                                | 职位级别    |  否 |
| degree           | STRING，可选值可配置                                   | 学历要求    |  否 |
| description      | STRING                                          | 职位描述    |  否 |
| createdDate      | DATE, 如 2020-10-10                              | 创建日期    |  否 |
| externalRecordId | STRING                                          | 外部系统记录ID（必填）  |  是 |
| externalSource   | STRING                                          | 外部系统名称（必填）  |  是 |

#### 职位设置

| 属性        | 类型                                  | 说明     | 是否必填      |
| --------- | ----------------------------------- | ------ | -------      |
| state     | STRING, 可选值 OPEN（正在招聘）、CLOSED（结束招聘） | 招聘状态   | 是 |
| priority  | 职位优先级                               | 职位优先级  | 否 |
| startDate | DATE                                | 招聘开始日期 | 是 |
| endDate   | DATE                                | 招聘结束日期 | 否 |

#### 招聘相关负责人

| 属性           | 类型      | 说明    | 是否必填      |
| ------------ | ------- | ----- | -------      |
| owners       | 负责人对象数组 | 招聘负责人 | 是 |
| managers     | 负责人对象数组 | 用人经理  | 否 |
| interviewers | 负责人对象数组 | 面试官   | 否 |

#### 负责人

| 属性               | 类型     | 说明    | 是否必填      |
| ---------------- | ------ | ----- | -------      |
| employeeId       | LONG   | 招聘负责人 | 是 |
| employeeCode     | STRING | 招聘负责人 | 否 |
| employeeFullName | STRING | 员工姓名  | 否 |

#### 工作经验

如：3-5年

| 属性          | 类型  | 说明   | 是否必填      |
| ----------- | --- | ---- |  -------      |
| workAgeFrom | INT | 从多少年 | 是 |
| workAgeTo   | INT | 到多少年 | 是 |

#### 薪资范围

如：10K-20K

| 属性              | 类型  | 说明   | 是否必填      |
| --------------- | --- | ---- | -------      |
| salaryRangeFrom | INT | 从多少K | 是 |
| salaryRangeTo   | INT | 到多少K | 是 |

body参数请求示例

```json
{
  "code": "职位编号",
  "name": "高级工作流产品经理",
  "deptNo": "5d367e4b4562f908a117e570",
  "deptName": "产品部",
  "deptPath": "JYS/产品部",
  "type": "FULLTIME",
  "setting": {
    "state": "OPEN",
    "startDate": "2021-11-30",
    "endDate": "2021-11-01"
  },
  "stakeholders": {
    "owners": [
      {
        "employeeId": 12094
      }
    ],
    "managers": [
      {
        "employeeId": 12094
      }
    ],
    "interviewers": [
      {
        "employeeId": 12094
      }
    ]
  },
  "category": "产品",
  "workAge": {
    "workAgeFrom": 3,
    "workAgeTo": 5
  },
  "salaryRange": {
    "salaryRangeFrom": 1,
    "salaryRangeTo": 5
  },
  "headCount": 1,
  "degree": "DOCTOR",
  "degreeName": null,
  "description": "这是一段职位描述",
  "createdDate": "2022-06-15",
  "externalRecordId": 1,
  "externalSource": "XX系统"
}
```

返回参数说明

| 属性               | 类型                                              | 说明      |
| ---------------- | ----------------------------------------------- | ------- |
| id               | LONG                                            | 职位ID    |
| code             | STRING                                          | 职位编号    |
| name             | STRING                                          | 职位名称    |
| deptNo           | STRING                                          | 所属部门编号  |
| type             | STRING 可选值 FULLTIME（全职）、PARTTIME（兼职）、INTERN（实习） | 职位性质    |
| setting          | 职位设置                                            | 职位设置    |
| stakeholders     | 招聘相关负责人                                         | 招聘相关负责人 |
| category         | STRING                                          | 职位类别    |
| workAge          | 工作经验对象                                          | 工作经验    |
| salaryRange      | 薪资范围对象                                          | 薪资范围    |
| headCount        | INT                                             | 招聘人数    |
| jobGrades        | STRING 数组，可选值可配置                                | 职位级别    |
| degree           | STRING，可选值可配置                                   | 学历要求    |
| description      | STRING                                          | 职位描述    |
| createdDate      | DATE, 如 2020-10-10                              | 创建日期    |
| externalRecordId | STRING                                          | 外部系统ID  |
| externalSource   | STRING                                          | 外部系统名称  |

返回参数示例：

```json
{
  "id": 1,
  "code": "职位编号",
  "name": "高级工作流产品经理",
  "deptNo": "5d367e4b4562f908a117e570",
  "deptName": "产品部",
  "deptPath": "JYS/产品部",
  "type": "FULLTIME",
  "setting": {
    "state": "OPEN",
    "startDate": "2021-11-30",
    "endDate": "2021-11-01"
  },
  "stakeholders": {
    "owners": [
      {
        "employeeId": 12094
      }
    ],
    "managers": [
      {
        "employeeId": 12094
      }
    ],
    "interviewers": [
      {
        "employeeId": 12094
      }
    ]
  },
  "category": "产品",
  "workAge": {
    "workAgeFrom": 3,
    "workAgeTo": 5
  },
  "salaryRange": {
    "salaryRangeFrom": 1,
    "salaryRangeTo": 5
  },
  "headCount": 1,
  "degree": "DOCTOR",
  "degreeName": null,
  "description": "这是一段职位描述",
  "createdDate": "2022-06-15",
  "externalRecordId": 1,
  "externalSource": "XX系统"
}
```