[TOC]

## 候选人同步

**候选人 = 人才 + 招聘职位**

### 外部系统推送候选人

| 请求地址         | /api/recruitment/candidates/externalPush                           |
| ------------ | -------------------------------------------------------------------------------- |
| 返回格式         | JSON                                                                             |
| content-type | application/json                                                                 |
| 请求方式         | POST                                                                             |
| 请求参数         | JSON body                                                                          |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/recruitment/candidates/externalPush |
| 接口说明         | 该接口为外部系统推送候选人到稳赢云招聘模块接口，接口根据externalRecordId和externalSource字段做幂等性判断          |

body 参数说明

| 属性             | 类型     | 说明      | 是否必填      |
| -------------- |--------|---------|  ------- |
|     talentId           | LONG | 人才ID | 是 |
|     recruitJobId           | LONG | 招聘职位ID | 是 |
|     status           | STRING，可选值OFFER（沟通Offer） | 候选人状态 |  是 |
|     owners           | 对应招聘人员数组 | 候选人对应的招聘人员 |  是 |
|     surveys           | 候选人背调对象数组 | 候选人背调 |  否 |
|     examEvaluations           | 候选人考试/测评对象数组 | 候选人考试/测评 | 否 |
| externalRecordId | STRING                                          | 外部系统记录ID（必填）  | 是 |
| externalSource   | STRING                                          | 外部系统名称（必填）  | 是 |

#### 候选人背调

| 属性              | 类型     | 说明         | 是否必填      |
| --------------- |--------|------------| ------- |
| name | STRING | 背调名称       |  否 |
| result | STRING | 背调结果       | 否 |
| surveyAttachments | 附件对象数组 | 背调附件（支持多个） | 否 |

#### 候选人考试/测评

| 属性                        | 类型                            | 说明            | 是否必填      |
|---------------------------|-------------------------------|---------------| ------- |
| type                      | STRING，可选值EXAM（考试）、EVALUATION（测评） | 类型            |  否 |
| name                      | STRING                        | 考试/测评名称       |  否 |
| result                    | STRING                        | 考试/测评结果       |  否 |
| examEvaluationAttachments | 附件对象数组                        | 考试/测评附件（支持多个） |  否 |

body参数请求示例

```json
{
  "talentId": 1,
  "recruitJobId": 1,
  "status": "OFFER",
  "owners": [
    {
      "id": 1
    }
  ],
  "surveys": [
     {
        "name": "qwer",
        "result": "qwer",
        "surveyAttachments": {
           "attachments": [
              {
                 "name": "尹佳玉.pdf",
                 "hashKey": "尹佳玉_1670581543010_3.pdf"
              },
              {
                 "name": "于秀英.pdf",
                 "hashKey": "于秀英_1670581547843_4.pdf"
              }
           ]
        }
     }
  ],
  "examEvaluations": [
     {
        "name": "123",
        "result": "123",
        "type": "EVALUATION",
        "examEvaluationAttachments": {
           "attachments": [
              {
                 "name": "钱佳玉.pdf",
                 "hashKey": "钱佳玉_1670581123387_1.pdf"
              },
              {
                 "name": "曾桂英.pdf",
                 "hashKey": "曾桂英_1670581130554_2.pdf"
              }
           ]
        }
     }
  ],
  "externalRecordId": 1,
  "externalSource": "XX系统"
}
```

返回值为候选人对象

| **属性**     | **类型** | **说明** |
| ---------- | ------ | ------ |
| id | long   | 候选人ID |
| talentId       |  long  | 人才ID |
| recruitJobId       |  long  | 招聘职位ID |
| surveys       |  背调对象数组  | 背调信息 |
| examEvaluations       |  测评对象数组  | 测评信息 |
| externalRecordId       |  long  | 外部记录ID |
| externalSource       |  STRING  | 外部数据源标记 |
| offerStatus       |  STRING  |Offer状态，可选值INIT("初始状态"), IN_APPROVAL("审批中"), APPROVAL_FINISHED("审批结束"), ONBOARD_INVITED("入职邀请已发送"), ONBOARD_RESPONSED("入职邀请已被反馈"),  CANCELLED("已取消"); |
| status       |  STRING  |招聘状态，FROM_TALENT_POOL("人才库推荐"),PRELIMINARY_SELECT("初筛"),DEPARTMENT_SELECT("用人部门筛选"),INTERVIEW("面试"),OFFER("沟通Offer"),ONBOARDING("待入职"),ONBOARD("已入职"),ARCHIVED("已归档");|
| offerApprovalStatus  |  STRING  |OFFER审批状态，TO_BE_APPROVED("待审批"), APPROVED("已批准"),REJECTED("已拒绝"),CANCEL("已取消"),BACK("退回"),DONE("已完成");|

返回参数说明同上body 参数说明

```json
{
  "id": 1,
  "talentId": 1,
  "recruitJobId": 1,
  "status": "OFFER",
  "owners": [
    {
      "id": 1
    }
  ],
   "surveys": [
      {
         "name": "qwer",
         "result": "qwer",
         "surveyAttachments": {
            "attachments": [
               {
                  "name": "尹佳玉.pdf",
                  "hashKey": "尹佳玉_1670581543010_3.pdf",
                  "url": "xxx",
                  "downloadUrl": "xxx",
                  "previewUrl": "xxx"
               },
               {
                  "name": "于秀英.pdf",
                  "hashKey": "于秀英_1670581547843_4.pdf",
                  "url": "xxx",
                  "downloadUrl": "xxx",
                  "previewUrl": "xxx"
               }
            ]
         }
      },
      {
         "name": "1234",
         "result": "1234",
         "surveyAttachments": {
            "attachments": [
               {
                  "tags": null,
                  "name": "贺若萌.pdf",
                  "contentType": null,
                  "hashKey": "贺若萌_1670581849154_5.pdf",
                  "url": "xxx",
                  "downloadUrl": "xxx",
                  "previewUrl": "xxx"
               }
            ]
         }
      }
   ],
  "examEvaluations": [
     {
        "name": "123",
        "result": "123",
        "type": "EVALUATION",
        "examEvaluationAttachments": {
           "attachments": [
              {
                 "tags": null,
                 "name": "钱佳玉.pdf",
                 "contentType": null,
                 "hashKey": "钱佳玉_1670581123387_1.pdf",
                 "url": "xxx",
                 "downloadUrl": "xxx",
                 "previewUrl": "xxx"
              },
              {
                 "tags": null,
                 "name": "曾桂英.pdf",
                 "contentType": null,
                 "hashKey": "曾桂英_1670581130554_2.pdf",
                 "url": "xxx",
                 "downloadUrl": "xxx",
                 "previewUrl": "xxx"
              }
           ]
        }
     }
  ],
  "externalRecordId": 1,
  "externalSource": "XX系统"
}
```


### 候选人查询

| 请求地址         | /api/recruitment/candidates/search                           |
| ------------ | -------------------------------------------------------------------------------- |
| 返回格式         | JSON                                                                             |
| content-type | application/json                                                                 |
| 请求方式         | POST                                                                             |
| 请求参数         | JSON body                                                                          |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/recruitment/candidates/search |
| 接口说明         | 根据条件查询候选人  |

body 参数说明

| 属性             | 类型     | 说明      | 是否必填      |
| -------------- |--------|---------|  ------- |
|     offset           | Integer | 分页起始记录偏移量 | 否，默认为0 |
|     limit           | Integer |获取数据条数 | 否 |默认200
|     filter           | String| ODATA查询条件| 是 |

返回值结构

| **属性**     | **类型** | **说明** |
| ---------- | ------ | ------ |
| totalCount | long   | 查询结果总数 |
| list       | 候选人对象  | 候选人数组 |