[TOC]

## 面试记录同步

### 外部系统推送候选人面试记录

| 请求地址         | /api/recruitment/interview_appointment/externalPush                           |
| ------------ | -------------------------------------------------------------------------------- |
| 返回格式         | JSON                                                                             |
| content-type | application/json                                                                 |
| 请求方式         | POST                                                                             |
| 请求参数         | JSON body                                                                          |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/recruitment/interview_appointment/externalPush |
| 接口说明         | 该接口为外部系统推送候选人面试记录到稳赢云招聘模块接口，接口根据externalRecordId和externalSource字段做幂等性判断          |

body参数说明

#### 面试记录

| 属性            | 类型                                        | 说明    |  是否必填      |
| ------------- | ----------------------------------------- | ----- |  ------- |
| candidateId   | LONG                                      | 候选人ID | 是 |
| location      | STRING                                    | 面试地点  |  否 |
| interviewDate | DATE                                      | 面试日期  |  否 |
| managerId     | LONG                                      | 招聘负责人 |  否 |
| historical     | BOOLEAN                                      | 是否是历史数据（历史数据不会校验面试记录数据，如面试日期是否是过去日期） |  是，外部系统对接建议直接填固定值 true |
| method        | STRING，可选值为ONSITE（现场）、PHONE（电话）、VIDEO（视频） | 面试方式  |  否 |
| steps         | 面试步骤对象数组                                  | 面试步骤  |  否 |
| externalRecordId | STRING                                          | 外部系统记录ID（必填）  |  是 |
| externalSource   | STRING                                          | 外部系统名称（必填）  |  是 |

#### 面试步骤

| 属性                  | 类型                                         | 说明       | 是否必填      |
| ------------------- | ------------------------------------------ | -------- |  ------- |
| stepCode            | STRING, 可选值 FIRST（初试）、SECOND（复试）、FINAL（终试） | 面试步骤     | 是 |
| planStartTime       | 面试开始时间对象                                   | 面试开始时间   | 是 |
| planDurationMinutes | INT                                        | 计划时长（分钟） | 是 |
| room                | STRNG                                      | 面试地点     |  是 |
| interviewerIds      | LONG数组                                     | 面试官人员ID  | 是 |
| tasks      | 面试评价反馈对象数组                                     | 面试评价反馈  | 是 |

#### 面试开始时间

| 属性     | 类型     | 说明              | 是否必填      |
| ------ | ------ | --------------- |  ------- |
| hour   | STRING | 小时，两位整数（补零），如08 | 是 |
| minute | STRING | 分钟，两位整数（补零），如08 | 是 |

#### 面试评价反馈

| 属性 | 类型 | 说明 | 是否必填 |
| --------------- |--------| -- | ------- |
| interviewerId | LONG | 面试官人员ID | 是 |
| status | STRING | 反馈状态，FEEDBACKED（已反馈） | 是 |
| feedback | 面试反馈信息对象 | 面试反馈信息 | 是 |

#### 面试反馈信息

| 属性 | 类型 | 说明 | 是否必填 |
| --------------- |--------| -- | ------- |
| interviewerId | LONG | 面试官人员ID | 是 |
| comment | STRING | 面试评价 | 是 |
| result | STRING，可选值PASSED（通过）、FAILED（未通过）、HOLD（待定） | 面试结果 | 是 |

body参数示例

```json
{
  "candidateId": 1,
  "talentCellphone": "13337242452",
  "talentEmail": "xx@163.com",
  "interviewDate": "2022-06-30",
  "method": "ONSITE",
  "location": "1111",
  "managerId": 1,
  "historical": true,
  "steps": [
    {
      "stepCode": "FIRST",
      "planStartTime": {
        "hour": "20",
        "minute": "15"
      },
      "planDurationMinutes": 30,
      "interviewerIds": [
        58791,
        58792
      ],
      "room": "会议室",
      "tasks": [
        {
          "interviewerId": 58791,
          "status": "FEEDBACKED",
          "feedback": {
            "result": "PASSED",
            "comment": "这是一段测试评价",
            "interviewTaskId": 45531
          }
        }
      ]
    }
  ]
}
```

## 文件上传