[TOC]

## 人才同步

### 外部系统推送人才

| 请求地址         | /api/recruitment/talents/externalPush                           |
| ------------ | -------------------------------------------------------------------------------- |
| 返回格式         | JSON                                                                             |
| content-type | application/json                                                                 |
| 请求方式         | POST                                                                             |
| 请求参数         | JSON body                                                                          |
| 请求举例         | 请求示例：https://open.hrsaas.com/api/recruitment/talents/externalPush |
| 接口说明         | 该接口为外部系统推送人才到稳赢云招聘模块接口，接口根据cellphone字段或certificateType+certificateNo做幂等性判断          |

body参数说明

| 属性                        | 类型     | 说明                                                       |  是否必填      |
|---------------------------| ------ |----------------------------------------------------------|  -------      |
| name                      | STRING        | 姓名                                                       | 是 |
| cellphone                 | STRING        | 手机号码                                                      |  是 |
| gender                    | 可选值 男，女       | 性别                                                       |  是 |
| birth                     | DATE          | 出生日期                                                     |  是 |
| email                     | STRING        | 邮箱                                                       |  是 |
| certificateType           | STRING，可选值可配置 | 证件类型                                                     | 否 |
| certificateNo             | STRING        | 证件号码                                                     |  否 |
| highestDegree             | STRING，可选值可配置 | 最高学历                                                     |  否 |
| residence                 | STRING        | 现居住地                                                     |  否 |
| selfDesc                  | STRING        | 自我评价                                                     |  否 |
| resumeAttachment          | 附件        | 简历附件                                                     | 否 |
| educationRecords          | 教育背景对象数组      | 教育背景                                                     | 否 |
| occupationRecords         | 工作经历对象数组      | 工作经历                                                     | 否 |
| userDefinedFields.用户自定义字段 | string      | userDefinedFields属性对应一个map，key为用户自定义字段的键，value为用户自定义字段的值 | 否 |

#### 教育背景

| 属性              | 类型            | 说明         | 是否必填      |
| --------------- |---------------|------------| -------      |
| startDate       | DATE          | 开始日期       |  否 |
| endDate         | DATE          | 毕业日期       | 否 |
| school          | STRING        | 就读学校       | 否 |
| major           | STRING        | 专业         | 否 |
| credentials | STRING，可选值可配置 | 学历         | 否 |
| degree      | STRING，可选值可配置 | 学位         | 否 |
| degreeAttachments      | 附件对象数组        | 学历附件（支持多个） | 否 |

#### 附件

| 属性              | 类型     | 说明        | 是否必填      |
| --------------- |--------|-----------| -------      |
| hashKey | STRING | 附件hashKey | 是 |
| name | STRING | 附件名称      | 是 |
| url | STRING | 附件预览URL   | 否 |
| downloadUrl | STRING | 附件下载URL   | 否 |

#### 工作经历

| 属性          | 类型     | 说明   | 是否必填      |
| ----------- | ------ |------| -------      |
| startDate   | DATE   | 开始日期 | 否 |
| endDate     | DATE   | 结束日期 | 否 |
| companyName | STRING | 公司名称 | 否 |
| department  | STRING | 部门   | 否 |
| position    | STRING | 职位   | 否 |
| summary    | STRING | 工作职责 | 否 |

body参数示例

```json
{
  "name": "张三",
  "cellphone": "17317322789",
  "certificateNo": "31553422313255",
  "certificateType": "Passport",
  "gender": "女",
  "email": "xxx.qq.com",
  "birth": "1990-06-08",
  "highestDegree": "DOCTOR",
  "residence": "XX市xx区xx地址",
  "selfDesc": "自我评价",
  "resumeAttachment": {
     "hashKey": "xxx.docx",
     "name": "xxx.docx"
  },
  "educationRecords": [
    {
      "startDate": "2014-09-01",
      "endDate": "2018-07-01",
      "school": "广东科技学院",
      "major": "计算机科学与技术",
      "credentials": "UNDERGRADUATE",
      "credentialsName": "本科",
      "degree": "BACHELOR",
      "degreeName": "学士",
      "degreeAttachments": [
        {
          "hashKey": "xxx.docx",
          "name": "xxx.docx"
        }
      ]
    }
  ],
  "occupationRecords": [
    {
      "startDate": "2018-08-01",
      "endDate": "2021-04-01",
      "companyName": "深圳市坐标软件开发有限公司",
      "department": "开发部",
      "position": "后端开发工程师",
      "summary": "工作职责"
    }
  ],
   "userDefinedFields": {
      "自定义字段1短文本": "王天明",
      "自定义字段2日期": "2022-08-17",
      "自定义字段3布尔值": "true"
   }
}
```

返回参数说明

| 属性             | 类型                                                                                           | 说明      |
| -------------- | -------------------------------------------------------------------------------------------- | ------- |
| id             | LONG                                                                                         | 数据Id    |
| name            | STRING        | 姓名   |
| cellphone       | STRING        | 手机号  |
| gender          | 可选值 男，女       | 性别   |
| birth           | DATE          | 出生日期 |
| email           | STRING        | 邮箱   |
| certificateType | STRING，可选值可配置 | 证件类型 |
| certificateNo   | STRING        | 证件号码 |
| highestDegree   | STRING，可选值可配置 | 最高学历 |
| residence  | STRING        | 现居住地 |
| selfDesc        | STRING        | 自我评价 |
| educationRecords  | 教育背景对象数组      | 教育背景    |
| occupationRecords | 工作经历对象数组      | 工作经历    |

返回参数示例

```json
{
  "id": 1,
  "name": "张三",
  "cellphone": "17317322789",
  "certificateNo": "31553422313255",
  "certificateType": "Passport",
  "gender": "女",
  "email": "xxx.qq.com",
  "birth": "1990-06-08",
  "highestDegree": "DOCTOR",
  "residence": "XX市xx区xx地址",
  "selfDesc": "自我评价",
   "resumeAttachment": {
      "hashKey": "xxx.docx",
      "name": "xxx.docx",
      "url": "http://xxx.pdf",
      "downloadUrl": "http://xxx.pdf"
   },
  "educationRecords": [
    {
      "id": 1,
      "startDate": "2014-09-01",
      "endDate": "2018-07-01",
      "school": "广东科技学院",
      "major": "计算机科学与技术",
      "credentials": "UNDERGRADUATE",
      "credentialsName": "本科",
      "degree": "BACHELOR",
      "degreeName": "学士",
      "degreeAttachments": [
        {
          "hashKey": "xxx.docx",
          "name": "xxx.docx",
          "url": "http://xxx.pdf",
          "downloadUrl": "http://xxx.pdf"
        }
      ]
    }
  ],
  "occupationRecords": [
    {
      "id": 1,
      "startDate": "2018-08-01",
      "endDate": "2021-04-01",
      "companyName": "深圳市坐标软件开发有限公司",
      "department": "开发部",
      "position": "后端开发工程师",
      "summary": "工作职责"
    }
  ]
}
```

### 人才信息查询

| 请求地址         | /api/recruitment/talents/{id}                           |
| ------------ | -------------------------------------------------------------------------------- |
| 返回格式         | JSON                                                                             |
| content-type | application/json                                                                 |
| 请求方式         | GET                                                                             |
| 请求参数         |    path parameter                                                                  |
| 请求举例       | 请求示例：https://open.hrsaas.com/api/recruitment/talents/637 |
| 接口说明       | 根据 talentId 查询人才信息  |

路径参数说明

| 属性           | 类型     | 说明      | 是否必填      |
| -------------- |--------|---------|  ------- |
|  id      | long | 数据Id | 是 |

返回值结构

| **属性**     | **类型** | **说明** |
| ---------- | ------ | ------ |
| name                      | String        | 姓名                                                       | 是 |
| cellphone                 | String        | 手机号码                                                      |  是 |
| gender                    | 可选值 男，女       | 性别                                                       |  是 |
| birth                     | LocalDate          | 出生日期                                                     |  是 |
| email                     | String        | 邮箱                                                       |  是 |
| certificateType           | String，可选值可配置 | 证件类型                                                     | 否 |
| certificateNo             | String        | 证件号码                                                     |  否 |
| highestDegree             | String，可选值可配置 | 最高学历                                                     |  否 |
| highestAcademicDegree     | String，可选值可配置 | 最高学位                                                     |  否 |
| residence                 | String        | 现居住地                                                     |  否 |
| workAge                 | Integer        | 工作年限                                                     |  否 |
| selfDesc                  | String        | 自我评价                                                     |  否 |
| resumeAttachment          | 附件        | 简历附件                                                     | 否 |
| educationRecords          | 教育背景对象数组      | 教育背景                                                     | 否 |
| occupationRecords         | 工作经历对象数组      | 工作经历                                                     | 否 |
| userDefinedFields.用户自定义字段 | String      | userDefinedFields属性对应一个map，key为用户自定义字段的键，value为用户自定义字段的值 | 否 |


返回值示例

```json
{
    "errorCode": null,
    "errorMessage": null,
    "warningMessages": null,
    "body": {
        "id": 637,
        "userDefinedFields": {
            "行业工作年限": 6,
            "工作经历简述": "hello，测试一下",
            "相关附件": {
                "attachments": [
                ]
            },
            "不再同步北森数据": true
        },
        "udfLinkedBOMap": {},
        "udfConfigurableEnumMap": {},
        "name": "张义宝",
        "pinyinOfName": "ZHANG YIBAO",
        "cellphone": "10110923451",
        "gender": "男",
        "birth": "1999-01-01",
        "birthYear": 1999,
        "age": 24,
        "workAge": 8,
        "email": "7722459@qq.com",
        "certificateType": "IDCard",
        "certificateNo": "511129198304081512",
        "residence": "上海市",
        "startOfFirstJob": "2015-06-07",
        "graduateSchool": "南京大学",
        "graduateMajor": "网络工程",
        "currentCompany": "梧州科技公司",
        "highestDegree": "MASTER",
        "highestDegreeName": "硕士",
        "highestAcademicDegree": "MASTER",
        "highestAcademicDegreeName": "硕士",
        "maritalStatus": null,
        "maritalStatusName": null,
        "selfDesc": null,
        "jobIntention": null,
        "resumeAttachment": {
            "tags": null,
            "name": "v8wPQd6E5OcEInSw-人员申报默认模板-测试褚昆.xls",
            "contentType": null,
            "hashKey": "v8wPQd6E5OcEInSw-人员申报默认模板-测试褚昆.xls",
            "url": "https://cdn.hrsaas.com/v8wPQd6E5OcEInSw-%E4%BA%BA%E5%91%98%E7%94%B3%E6%8A%A5%E9%BB%98%E8%AE%A4%E6%A8%A1%E6%9D%BF-%E6%B5%8B%E8%AF%95%E8%A4%9A%E6%98%86.xls?e=1678606069&token=Sp-MbD5rQQjENG5qycL-DNNl2eCT8yo6IJRA_bwR:BU3G7xc_ouKuB9Pif9ViQF9E_J0=",
            "downloadUrl": "https://cdn.hrsaas.com/v8wPQd6E5OcEInSw-%E4%BA%BA%E5%91%98%E7%94%B3%E6%8A%A5%E9%BB%98%E8%AE%A4%E6%A8%A1%E6%9D%BF-%E6%B5%8B%E8%AF%95%E8%A4%9A%E6%98%86.xls?e=1678606069&token=Sp-MbD5rQQjENG5qycL-DNNl2eCT8yo6IJRA_bwR:BU3G7xc_ouKuB9Pif9ViQF9E_J0=&attname=v8wPQd6E5OcEInSw-%E4%BA%BA%E5%91%98%E7%94%B3%E6%8A%A5%E9%BB%98%E8%AE%A4%E6%A8%A1%E6%9D%BF-%E6%B5%8B%E8%AF%95%E8%A4%9A%E6%98%86.xls",
            "previewUrl": "https://api.yozocloud.cn/checkUrl?k=49085245813476556892246&url=https%3A%2F%2Fcdn.hrsaas.com%2Fv8wPQd6E5OcEInSw-%25E4%25BA%25BA%25E5%2591%2598%25E7%2594%25B3%25E6%258A%25A5%25E9%25BB%2598%25E8%25AE%25A4%25E6%25A8%25A1%25E6%259D%25BF-%25E6%25B5%258B%25E8%25AF%2595%25E8%25A4%259A%25E6%2598%2586.xls%3Fe%3D1678606069%26token%3DSp-MbD5rQQjENG5qycL-DNNl2eCT8yo6IJRA_bwR%3ABU3G7xc_ouKuB9Pif9ViQF9E_J0%3D%26attname%3Dv8wPQd6E5OcEInSw-%25E4%25BA%25BA%25E5%2591%2598%25E7%2594%25B3%25E6%258A%25A5%25E9%25BB%2598%25E8%25AE%25A4%25E6%25A8%25A1%25E6%259D%25BF-%25E6%25B5%258B%25E8%25AF%2595%25E8%25A4%259A%25E6%2598%2586.xls&noCache=false&type=xls&isCopy=0"
        },
        "educationRecords": [
            {
                "id": 2661,
                "idx": 0,
                "startDate": "2023-03-02",
                "endDate": "2023-03-30",
                "school": "北京大学",
                "major": "3",
                "highest": false,
                "credentials": "other",
                "credentialsName": "其他",
                "degree": "BACHELOR",
                "degreeName": "学士",
                "degreeAttachments": null
            }
        ],
        "occupationRecords": [],
        "practicalRecords": [],
        "projectRecords": [],
        "languageRecords": [],
        "awardRecords": []
    }
}
```